"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.antrax = antrax;

var _lodash = _interopRequireDefault(require("lodash"));

var _pouch = require("./lib/pouch");

var _segmenter = require("./lib/segmenter");

var _chains = require("./lib/chains");

var _utils = require("./lib/utils");

var _util = _interopRequireDefault(require("util"));

var _orthos = require("orthos");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

var path = require('path');

// import {oxia, comb, plain, strip} from '../../../greek/orthos'
var log = console.log;

var d = require('debug')('app');

function antrax(wf, compound, only) {
  var cwf = corrStr(wf);
  cwf = cwf.replace(/-/g, '');
  var pwf = (0, _orthos.plain)(cwf);
  var sgms = (0, _segmenter.segmenter)(cwf);
  var strong = false;
  if (compound && compound == 'strong') strong = true, compound = false;else if (compound) sgms = _lodash["default"].filter(sgms, function (sgm) {
    return sgm.length > 2;
  }); // sgms = _.filter(sgms, sgm=> { return sgm.length > 2 })
  // lasts - segments for flexes:

  var lasts = _lodash["default"].uniq(sgms.map(function (sgm) {
    return sgm[sgm.length - 1];
  })); // segments for dicts:


  var nonlasts = _lodash["default"].uniq(_lodash["default"].flatten(sgms.map(function (sgm) {
    return sgm.slice(0, -1);
  })));

  var plainsegs = _lodash["default"].uniq(_lodash["default"].compact(nonlasts.map(function (nonlast) {
    return (0, _orthos.plain)(nonlast);
  })));

  var cwfs = addTerms(cwf);
  plainsegs.push(cwf); // for terms in regular DBs, but not in special 'terms' DB
  // примеры корониса: - может ли быть во флексии два и более символов, и последний - коронис?
  // εὕρημ᾽ -

  d('cwfs:', cwf, cwfs); // d('sgms:', JSON.stringify(sgms))
  // d('sgms:', sgms)

  d('lasts:', lasts.toString());
  d('plainsegs:', plainsegs.toString()); // это - только для анализа terms:
  // plainsegs = ['δῆτα'] // !!!!!!!!!!!!!!!

  return Promise.all([(0, _pouch.getTerms)(cwfs), (0, _pouch.queryDBs)(plainsegs), (0, _pouch.getFlex)(lasts)]).then(function (res) {
    var terms = _lodash["default"].flatten(res[0]);

    var dicts = _lodash["default"].flatten(res[1]);

    d('dicts all---->', dicts.length);

    var dterms = _lodash["default"].filter(dicts, function (dict) {
      return dict.term && cwfs.includes(dict.term);
    });

    dicts = _lodash["default"].filter(dicts, function (dict) {
      return !dict.term;
    });
    d('terms---->', terms.length);
    terms.push.apply(terms, _toConsumableArray(dterms));

    var rdterms = _lodash["default"].uniq(dterms.map(function (dict) {
      return dict.term;
    }));

    d('rdterms---->', rdterms);
    d('dterms---->', dterms.length);
    d('all terms---->', terms.length);

    var flexes = _lodash["default"].flatten(res[2]); // dicts = _.filter(dicts, dict => { return !dict.indecl })


    var dplains = _lodash["default"].uniq(dicts.map(function (dict) {
      return dict.plain;
    }));

    d('dictplains---->', dplains.toString());
    d('dicts.size---->', dicts.length);

    var prefs = _lodash["default"].filter(dicts, function (dict) {
      return dict.pref;
    });

    var pprefs = _lodash["default"].uniq(prefs.map(function (dict) {
      return dict.plain;
    }));

    d('prefs---->', pprefs.toString(), prefs.length);

    var sufs = _lodash["default"].filter(dicts, function (dict) {
      return dict.suf;
    });

    var psufs = _lodash["default"].uniq(sufs.map(function (dict) {
      return dict.plain;
    }));

    d('sufs---->', psufs.toString(), sufs.length);

    var kdicts = _lodash["default"].filter(dicts, function (dict) {
      return dict.plain == only;
    });

    d('kdicts---->', kdicts.length);
    d('flexes---->', flexes.length);
    d('singles:', sgms.length);
    var chains = (0, _chains.makeChains)(sgms, dicts, flexes, compound, only);
    d('total chains', chains.length); // return {chains: [], terms: []}

    var bests = selectBest(chains, compound);
    d('bests =>', bests.length);
    if (bests.length) chains = bests; // refine results (i.e. verbs only) with changed stems:

    var chaindicts = _lodash["default"].flatten(chains.map(function (chain) {
      return _lodash["default"].flatten(chain.map(function (sec) {
        return sec.dicts;
      }));
    }));

    chaindicts.forEach(function (dict) {
      delete dict.keys;
    });

    var wktverbs = _lodash["default"].filter(chaindicts, function (dict) {
      return dict.verb && dict.dname == 'wkt';
    });

    var wktplains = wktverbs.map(function (dict) {
      return dict.plain;
    });
    return (0, _pouch.queryDBs)(wktplains).then(function (res) {
      var refined = _lodash["default"].flatten(res); // непонятно, dict.dict, а если fit = term?


      refined = _lodash["default"].filter(refined, function (dict) {
        return dict.dict && dict.dname != 'wkt';
      });
      refined.forEach(function (dict) {
        delete dict.keys;
      });
      var fits = [];
      refined.forEach(function (fit) {
        var wkt = _lodash["default"].find(wktverbs, function (wkt) {
          return fit.dict == (0, _orthos.comb)(wkt.rdict);
        });

        if (!wkt) return;
        fit.fls = wkt.fls;
        fits.push(fit);
      });
      chains.forEach(function (chain) {
        chain.forEach(function (sec) {
          var secwkts = _lodash["default"].filter(sec.dicts, function (dict) {
            return dict.verb && dict.dname == 'wkt';
          });

          if (!secwkts.length) return;

          var secdicts = _lodash["default"].filter(sec.dicts, function (dict) {
            return !dict.verb;
          });

          secwkts.push.apply(secwkts, _toConsumableArray(secdicts));
          secwkts.push.apply(secwkts, fits);
          sec.dicts = secwkts;
        });
      }); // terms дает много очень лишнего в chains, так нельзя, но как можно? напр., артикль τῶν дает τ, и ...
      // нужен пример, почему нельзя только terms - например, ἦσαν
      // но просто убрать это нельзя! см. τῶν
      // if (terms.length) chains = []

      var result = {
        chains: chains,
        terms: terms
      };
      if (chains.length && compound) result.compound = true;
      return result;
    });
  });
}

function selectBest(chains, compound) {
  var exacts = [];
  chains.forEach(function (chain) {
    var possible = false;
    chain.forEach(function (sec) {
      sec.dicts.forEach(function (dict) {
        if (dict.possible) possible = true;
      });
    });
    if (!possible) exacts.push(chain);
  });
  if (exacts.length) return exacts;else return chains;
}

function cleanStr(row) {
  var clean = row.trim();
  clean = clean.replace(/ᾰ/gi, 'α').replace(/ᾱ/gi, 'α').replace(/ῑ/gi, 'ι').replace(/ῐ/gi, 'ι').replace(/ῠ/gi, 'υ').replace(/ῡ/gi, 'υ');
  clean = clean.replace(/Ῐ/gi, 'Ι').replace(/Ῑ/gi, 'Ι');
  clean = clean.replace(/̆/gi, '');
  return clean;
}

function corrStr(wf) {
  var clwf = cleanStr(wf);
  var cwf = (0, _orthos.comb)(clwf);
  return (0, _orthos.oxia)(cwf);
}

function addTerms(cwf) {
  var cwfs = [];

  var last = _lodash["default"].last(cwf);

  if (last == _utils.coronis) {
    var stress = (0, _utils.stressed)(cwf);

    _utils.corvowels.forEach(function (vow) {
      var clean = cwf.slice(0, -1);
      clean = [clean, vow].join('');
      if (!stress) clean = [clean, _utils.accents.oxia].join('');
      cwfs.push(clean);
    });
  } else {
    cwfs.push(cwf);
  }

  return cwfs;
}
//# sourceMappingURL=index.js.map