"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.augments = exports.strong2weak = void 0;

var _strong2weak, _augments;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

//
var strong2weak = (_strong2weak = {
  'η': ['α', 'ε', 'αι'],
  '': ['']
}, _defineProperty(_strong2weak, "", ['']), _defineProperty(_strong2weak, "", ['']), _strong2weak);
exports.strong2weak = strong2weak;
var augments = (_augments = {
  'α': ['η'],
  'αι': ['ῃ'],
  'ανα': ['ανε', 'ανη'],
  'αν': ['ανε'],
  'απα': ['απη'],
  // 'αστ': ['ανεστ'],
  'απαι': ['απῃ'],
  'απε': ['απει'],
  'απο': ['απε', 'απω'],
  'αφαι': ['αφῃ'],
  'αφο': ['αφω'],
  'αρα': ['ηρα'],
  'ε': ['η'],
  'δια': ['διε', 'διη'],
  'διε': ['διη'],
  'διαι': ['διῃ'],
  'εισε': ['ειση'],
  'εκ': ['εξε'],
  'εξα': ['εξη'],
  'εξε': ['εξη'],
  'εν': ['ενε'],
  'επεν': ['επενε'],
  'εμ': ['ενε'],
  'επα': ['επη'],
  'επαι': ['επῃ'],
  'επι': ['επε', 'επει'],
  'επε': ['επι', 'επη'],
  'επο': ['επω'],
  'ευα': ['ευη'],
  'η': ['ε'],
  // ηὗρον
  'κατα': ['κατε', 'κατη'],
  'κατοι': ['κατῳ'],
  'μετα': ['μετε'],
  'ο': ['ω'],
  'οι': ['ῳ'],
  'παρα': ['παρε'],
  'παρε': ['παρη'],
  'περι': ['περιε'],
  'περιε': ['περιη'],
  'προσ': ['προσε'],
  'προσα': ['προση'],
  'προσε': ['προση', 'προσ'],
  'προ': ['προε'],
  'ρ': ['ερρ'],
  'συνε': ['συνη', 'συνει', 'συμ'],
  'συλ': ['συνε'],
  'συμ': ['συνε'],
  'συσ': ['συνε'],
  'συγ': ['συνε'],
  'συνα': ['συνη'],
  // συνήγαγον - συναγόγον - to fake
  'υπα': ['υπη'],
  'υπο': ['υπε'],
  '': ['']
}, _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _defineProperty(_augments, "", ['']), _augments);
exports.augments = augments;
//# sourceMappingURL=augments.js.map