"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.namekeys = void 0;
var namekeys = {
  "α": ["α-ακος", "α-ακτος", "α-ας", "α-ατος", "α-ης"],
  "ά": ["ά-ᾶς"],
  "ᾶ": ["ᾶ-ᾶς"],
  "ᾶς": ["ᾶς-ᾶ"],
  "ας": ["ας-α", "ας-ου", "ας-αινα-αν", "ας-αν", "ας-αινα-αν", "ας-αν", "ας-αινα-αν", "ας-αν"],
  "αῦς": ["αῦς-εώς"],
  "γξ": ["γξ-γος"],
  "ές": ["ές-οῦς"],
  "είς": ["είς-ηνός"],
  "εύς": ["εύς-έος", "εύς-έως"],
  "η": ["η-ης", "η-ητος"],
  "ή": ["ή-αικός", "ή-ῆς"],
  "ήν": ["ήν-ένος", "ήν-ενός"],
  "ήρ": ["ήρ-δρός", "ήρ-έρος", "ήρ-ῆρος", "ήρ-ρός"],
  "ής": ["ής-έος", "ής-οῦ", "ής-ές", "ής-ές", "ής-ές"],
  "ῆ": ["ῆ-ῆς"],
  "ῆς": ["ῆς-οῦ"],
  "ηξ": ["ηξ-εκος"],
  "ηρ": ["ηρ-έρος", "ηρ-ερος"],
  "ης": ["ης-εω", "ης-ου", "ης-ους", "ης-ες", "ης-ες", "ης-ες"],
  "ι": ["ι-εως", "ι-ιτος"],
  "ίρ": ["ίρ-ιρός"],
  "ίς": ["ίς-ίδος", "ίς-νός"],
  "ϊς": ["ϊς-ϊδός"],
  "ῖς": ["ῖς-ιδός"],
  "ις": ["ις-εως", "ις-ιδος", "ις-ιος", "ις-ι", "ις-σσα-ν", "ις-ι", "ις-σσα-ν", "ις-ι", "ις-σσα-ν"],
  "ν": ["ν-νός", "ν-νος", "ν-ντος"],
  "νς": ["νς-νθος"],
  "νυ": ["νυ-ύνατος"],
  "ξ": ["ξ-γός", "ξ-γος", "ξ-κός", "ξ-κος", "ξ-κτός", "ξ-κτος", "ξ-χός", "ξ-χος"],
  "όν": ["όν-οῦ"],
  "ός": ["ός-οῖο", "ός-οῦ", "ός-α-όν", "ός-ά-όν", "ός-ή-όν", "ός-όν", "ός-α-όν", "ός-ά-όν", "ός-ή-όν", "ός-όν", "ός-α-όν", "ός-ά-όν", "ός-ή-όν", "ός-όν"],
  "ον": ["ον-οιο", "ον-ου"],
  "ος": ["ος-εος", "ος-οιο", "ος-ος", "ος-ου", "ος-ους", "ος-α-ον", "ος-η-ον", "ος-ον", "ος-α-ον", "ος-η-ον", "ος-ον", "ος-α-ον", "ος-η-ον", "ος-ον"],
  "οῦν": ["οῦν-οῦ"],
  "οῦς": ["οῦς-οῦ", "οῦς-ᾶ-οῦν", "οῦς-ῆ-οῦν", "οῦς-ᾶ-οῦν", "οῦς-ῆ-οῦν", "οῦς-ᾶ-οῦν", "οῦς-ῆ-οῦν"],
  "ρ": ["ρ-ρός", "ρ-ρος", "ρ-τος"],
  "ρυ": ["ρυ-ύρατος", "ρυ-υρός"],
  "ς": ["ς-δός", "ς-δος", "ς-θος", "ς-ννός", "ς-νός", "ς-νος", "ς-ντος", "ς-ος", "ς-ρος", "ς-τός", "ς-τος"],
  "υ": ["υ-ατος", "υ-εως", "υ-υος"],
  "ύς": ["ύς-δός", "ύς-έος", "ύς-ντος", "ύς-ύος", "ύς-υός", "ύς-έα-ύ", "ύς-εῖα-ύ", "ύς-έα-ύ", "ύς-εῖα-ύ", "ύς-έα-ύ", "ύς-εῖα-ύ"],
  "ῦς": ["ῦς-ός", "ῦς-υός"],
  "υς": ["υς-δος", "υς-εος", "υς-εως", "υς-ντος", "υς-υος", "υς-εια-υ", "υς-υν", "υς-εια-υ", "υς-υν", "υς-εια-υ", "υς-υν"],
  "ψ": ["ψ-βός", "ψ-βος", "ψ-πός", "ψ-πος", "ψ-ψ", "ψ-ψ", "ψ-ψ"],
  "ών": ["ών-όνος", "ών-όντος", "ών-ονός", "ών-όν", "ών-οῦσα-όν", "ών-όν", "ών-οῦσα-όν", "ών-όν", "ών-οῦσα-όν"],
  "ώς": ["ώς-οῦς", "ώς-ώ", "ώς-ωός", "ώς-ώς", "ώς-ώς", "ώς-ώς"],
  "ῶρ": ["ῶρ-ατός"],
  "ων": ["ων-νός", "ων-ονος", "ων-οντος", "ων-ον", "ων-ουσα-ον", "ων-ων", "ων-ον", "ων-ουσα-ον", "ων-ων", "ων-ον", "ων-ουσα-ον", "ων-ων"],
  "ωρ": ["ωρ-ατος", "ωρ-ορος", "ωρ-ορ", "ωρ-ορ", "ωρ-ορ"],
  "ως": ["ως-ω", "ως-ωος", "ως-ων", "ως-ων", "ως-ων"],
  "ωτήρ": ["ωτήρ-οτῆρος"],
  "γας": ["γας-γάλη-γα", "γας-γάλη-γα", "γας-γάλη-γα"],
  "διος": ["διος-δία-διον", "διος-δία-διον", "διος-δία-διον"],
  "ες": ["ες-εσσα-εν", "ες-εσσα-εν", "ες-εσσα-εν"],
  "ην": ["ην-εινα-εν", "ην-εν", "ην-εινα-εν", "ην-εν", "ην-εινα-εν", "ην-εν"],
  "ί̈ων": ["ί̈ων-ϊον", "ί̈ων-ϊον", "ί̈ων-ϊον"],
  "ιος": ["ιος-ία-ιον", "ιος-ία-ιον", "ιος-ία-ιον"],
  "ολλός": ["ολλός-ολλή-ολλόν", "ολλός-ολλή-ολλόν", "ολλός-ολλή-ολλόν"],
  "ολύς": ["ολύς-ολλή-ολύ", "ολύς-ολλή-ολύ", "ολύς-ολλή-ολύ"],
  "χύς": ["χύς-χεα-χύ", "χύς-χεια-χύ", "χύς-χεα-χύ", "χύς-χεια-χύ", "χύς-χεα-χύ", "χύς-χεια-χύ"]
};
exports.namekeys = namekeys;
//# sourceMappingURL=name-reg-keys.js.map