"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.segmenter = segmenter;
exports.scrape = scrape;

var _lodash = _interopRequireDefault(require("lodash"));

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

//
var vows = _utils.vowels;
var mts = (0, _utils.mutes)();

function segmenter(str) {
  var old = str;
  var pdchs = [];

  function rec(str, pdch) {
    var flakes = scrape(str);
    flakes.forEach(function (flake) {
      pdch.push(flake.head);
      pdch.push(flake.tail);

      if (pdch.join('') == old) {
        pdchs.push(_lodash["default"].clone(pdch));
        pdch.pop();
      }

      if (pdch.length < 4) rec(flake.tail, pdch); // three parts for now ! // 5 is four parts, i.e affix, stem, suffix, flex ========= NB: ============
      // rec(flake.tail, pdch)

      pdch.pop();
    });
  }

  rec(str, []);
  return pdchs;
}

function scrape(str) {
  var total = str.length + 1;
  var flakes = [];
  var head = str;
  var pos = str.length;
  var beg;
  var tail;

  while (pos > 0) {
    pos--;
    tail = str.slice(pos); // if (!_.intersection(vows, _.values(tail)).length && !mts.includes(tail)) continue

    head = str.substr(0, pos);
    if (!head) continue;
    beg = tail[0];
    if (_lodash["default"].values(_utils.accents).includes(beg)) continue; // if (_.values(tobedel).includes(beg)) continue

    var res = {
      head: head,
      tail: tail
    };
    flakes.push(res);
  }

  return flakes;
}
//# sourceMappingURL=segmenter.js.map