"use strict";

var _lodash = _interopRequireDefault(require("lodash"));

var _index = require("./index");

var _pouch = require("./lib/pouch");

var _segmenter = require("./lib/segmenter");

var _utils = require("./lib/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// simple runner for src/antrax
var d = require('debug')('app'); // const fse = require('fs-extra');


var util = require('util');

var path = require('path');

var log = console.log;
var env = process.env.NODE_ENV; // let all = {startkey: 'α', endkey: 'ῳ'}

var MemoryStream = require('memorystream');

var only, printf;
var compound = false;
var wordform = process.argv.slice(2)[0]; // || 'ἀργυρῷ' // false;

var thirdarg = process.argv.slice(3)[0] || false;
if (thirdarg == 'comp') compound = true;else if (thirdarg == 'insp') printf = true;else only = thirdarg;
console.time("queryTime"); // flex, comp - already run
// let upath = path.resolve(process.env.HOME, '.config/Biblos.js (development)')

var upath = path.resolve(process.env.HOME, '.config/Biblos.js'); // let upath = path.resolve(process.env.HOME, '.config/Biblos-devel.js')

var apath = '/home/michael/a/atemplate';
var dnames;
dnames = ['wkt']; // dnames = ['wkt', 'lsj', 'dvr', 'souda', 'terms']
// dnames = ['wkt', 'lsj', 'terms']
// dnames = ['souda']

var cfg = [{
  dname: 'terms'
}, {
  dname: 'flex'
}, {
  dname: 'wkt'
}, {
  dname: 'lsj'
}, {
  dname: 'dvr'
}, {
  dname: 'souda'
}];

if (wordform == 'install') {
  log('____default installing start');
  var batch_size = 500;
  (0, _pouch.initialReplication)(upath, cfg, batch_size).then(function (cfg) {
    log('___run-cfg', cfg);
  })["catch"](function (err) {
    log('ERR-initReplication', err.message);
  });
} else if (wordform == 'stream') {
  // yarn start stream &> /dev/null
  var dname = thirdarg;
  var _batch_size = 500;
  var stream = new MemoryStream();
  (0, _pouch.streamDB)(upath, dname, stream, _batch_size).then(function (res) {
    console.log('Hooray the stream replication is complete!');
    log('____streamed', res);
  })["catch"](function (err) {
    console.log('oh no an error', err.message);
  });
} else if (wordform == 'getid') {
  var wf = thirdarg; // let wf = 'γαθοεργ'

  var _dname = 'wkt';
  dnames = [_dname];
  (0, _pouch.checkConnection)(upath, dnames);
  (0, _pouch.getDB)(wf, _dname).then(function (res) {
    log('=getID=', wf, res);
  })["catch"](function (err) {
    log('ERR get db', err);
  });
} else {
  log('=DNAMES=', dnames);
  (0, _pouch.checkConnection)(upath, dnames);
  (0, _index.antrax)(wordform, compound, only).then(function (res) {
    if (!res) return log('no result');
    print(res);
    console.timeEnd("queryTime");
  })["catch"](function (err) {
    console.log('ANTRAX-ERR', err);
  });
}

function print(res) {
  var chains = res.chains;
  chains.forEach(function (chain) {
    d('result-chain---------------------->');
    d(chain);

    var rdicts = _lodash["default"].flatten(chain.map(function (seg) {
      return seg.dicts.map(function (dict) {
        return [dict.rdict, dict.dname].join('-');
      });
    }));

    d('result-dicts--->');
    d(rdicts); // let dicts = _.flatten(chain.map(seg=> { return seg.dicts  }))
    // d(dicts)

    var rplains = chain.map(function (seg) {
      return seg.dicts.map(function (dict) {
        return dict.plain;
      });
    });
    d('result-plains--->');
    d(_lodash["default"].flatten(rplains));
    var rfls = chain.map(function (seg) {
      return seg.dicts.map(function (dict) {
        return dict.fls;
      });
    });
    d('result-fls--->');
    d(_lodash["default"].compact(_lodash["default"].flatten(rfls)));
  });
  if (res.terms) res.terms.forEach(function (term) {
    delete term.trns;
  });
  if (res.terms) log('TERMS:', res.terms);
}

function insp(o) {
  console.log(util.inspect(o, false, null, true));
}
//# sourceMappingURL=run.js.map