"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.verbkeys = void 0;
var verbkeys = {
  "ομαι": [{
    "tense": "mid.pres.ind",
    "key": "ομαι-ῃ-εται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ου-έσθω-εσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "εσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "ρομαι-ρῃ-ρεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ρωμαι-ρῃ-ρηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ροίμην-ροιο-ροιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ρου-ρέσθω-ρεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ρόμενος-ρομένη-ρόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "ρεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "θήσομαι-θήσῃ-θήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "θησοίμην-θήσοιο-θήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "θησόμενος-θησομένη-θησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "θήσεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "αίμην-αιο-αιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "αι-άσθω-ασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "θῶ-θῇς-θῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "θείην-θείης-θείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "θητι-θήτω-θητον"
  }, {
    "tense": "mid.aor.part",
    "key": "άμενος-αμένη-άμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "θείς-θεῖσα-θέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "θῆναι"
  }],
  "έω": [{
    "tense": "act.pres.ind",
    "key": "έω-έεις-έει"
  }, {
    "tense": "act.pres.sub",
    "key": "έω-έῃς-έῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "έοιμι-έοις-έοι"
  }, {
    "tense": "act.pres.imp",
    "key": "εε-εέτω-έετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "έωμαι-έῃ-έηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "έου-εέσθω-έεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "έων-έουσα-έον"
  }, {
    "tense": "mid.pres.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "έειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "έεσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ῶ-εῖς-εῖ"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.pres.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "act.pres.imp",
    "key": "ει-είτω-εῖτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "οῦμαι-εῖ-εῖται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οῦ-είσθω-εῖσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.pres.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.pres.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ήσω-ήσεις-ήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ήσοιμι-ήσοις-ήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ηθήσομαι-ηθήσῃ-ηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ηθησοίμην-ηθήσοιο-ηθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ήσων-ήσουσα-ῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ηθησόμενος-ηθησομένη-ηθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ηθήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "έω-έεις-έει"
  }, {
    "tense": "act.fut.opt",
    "key": "έοιμι-έοις-έοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "έων-έουσα-έον"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "έειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ῶ-εῖς-εῖ"
  }, {
    "tense": "act.fut.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "act.fut.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ήσω-ήσῃς-ήσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ήσαιμι-ήσειας-ήσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ησον-ησάτω-ήσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ηθῶ-ηθῇς-ηθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ηθείην-ηθείης-ηθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ήθητι-ηθήτω-ήθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ήσας-ήσασα-ῆσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ηθείς-ηθεῖσα-ηθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ῆσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ηθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "έσω-έσῃς-έσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "έσαιμι-έσειας-έσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "εσον-εσάτω-έσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "έσωμαι-έσῃ-έσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "εσαίμην-έσαιο-έσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "εσαι-εσάσθω-έσασθον"
  }, {
    "tense": "act.aor.part",
    "key": "έσας-έσασα-έσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "εσάμενος-εσαμένη-εσάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "έσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσασθαι"
  }],
  "άω": [{
    "tense": "act.pres.ind",
    "key": "άω-άεις-άει"
  }, {
    "tense": "act.pres.sub",
    "key": "άω-άῃς-άῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "άοιμι-άοις-άοι"
  }, {
    "tense": "act.pres.imp",
    "key": "αε-αέτω-άετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "άομαι-άῃ-άεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "άωμαι-άῃ-άηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αοίμην-άοιο-άοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άου-αέσθω-άεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "άων-άουσα-άον"
  }, {
    "tense": "mid.pres.part",
    "key": "αόμενος-αομένη-αόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "άειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "άεσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ῶ-ᾷς-ᾷ"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ᾷς-ᾷ"
  }, {
    "tense": "act.pres.opt",
    "key": "ῴην-ῴης-ῴη"
  }, {
    "tense": "act.pres.imp",
    "key": "α-άτω-ᾶτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ῶμαι-ᾷ-ᾶται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ᾷ-ᾶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ῴμην-ῷο-ῷτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ῶ-άσθω-ᾶσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ῶν-ῶσα-ῶν"
  }, {
    "tense": "mid.pres.part",
    "key": "ώμενος-ωμένη-ώμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ᾶν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ᾶσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "έω-έεις-έει"
  }, {
    "tense": "act.pres.sub",
    "key": "έω-έῃς-έῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "έοιμι-έοις-έοι"
  }, {
    "tense": "act.pres.imp",
    "key": "εε-εέτω-έετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "έωμαι-έῃ-έηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "έου-εέσθω-έεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "έων-έουσα-έον"
  }, {
    "tense": "mid.pres.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "έειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "έεσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ῶ-εῖς-εῖ"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.pres.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "act.pres.imp",
    "key": "ει-είτω-εῖτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "οῦμαι-εῖ-εῖται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οῦ-είσθω-εῖσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.pres.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.pres.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "ασκον-ασκες-ασκε"
  }, {
    "tense": "mid.impf.ind",
    "key": "ασκόμην-άσκου-άσκετο"
  }, {
    "tense": "act.fut.ind",
    "key": "ήσω-ήσεις-ήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ήσοιμι-ήσοις-ήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ηθήσομαι-ηθήσῃ-ηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ηθησοίμην-ηθήσοιο-ηθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ήσων-ήσουσα-ῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ηθησόμενος-ηθησομένη-ηθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ηθήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "άξω-άξεις-άξει"
  }, {
    "tense": "act.fut.opt",
    "key": "άξοιμι-άξοις-άξοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "άξομαι-άξῃ-άξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "αξοίμην-άξοιο-άξοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "άξων-άξουσα-ᾶξον"
  }, {
    "tense": "mid.fut.part",
    "key": "αξόμενος-αξομένη-αξόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "άξειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "άξεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ήσω-ήσῃς-ήσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ήσαιμι-ήσειας-ήσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ησον-ησάτω-ήσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ηθῶ-ηθῇς-ηθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ηθείην-ηθείης-ηθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ήθητι-ηθήτω-ήθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ήσας-ήσασα-ῆσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ηθείς-ηθεῖσα-ηθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ῆσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ηθῆναι"
  }],
  "ω": [{
    "tense": "act.pres.ind",
    "key": "ω-εις-ει"
  }, {
    "tense": "act.pres.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.pres.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ομαι-ῃ-εται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ου-έσθω-εσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ων-ουσα-ον"
  }, {
    "tense": "mid.pres.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "εσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ίω-ίεις-ίει"
  }, {
    "tense": "act.pres.sub",
    "key": "ίω-ίῃς-ίῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ίοιμι-ίοις-ίοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ιε-ιέτω-ίετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ίομαι-ίῃ-ίεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ίωμαι-ίῃ-ίηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ιοίμην-ίοιο-ίοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ίου-ιέσθω-ίεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ίων-ίουσα-ῖον"
  }, {
    "tense": "mid.pres.part",
    "key": "ιόμενος-ιομένη-ιόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ίειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ίεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ύσω-ύσεις-ύσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ύσοιμι-ύσοις-ύσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ύσομαι-ύσῃ-ύσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "υσοίμην-ύσοιο-ύσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ύσων-ύσουσα-ῦσον"
  }, {
    "tense": "mid.fut.part",
    "key": "υσόμενος-υσομένη-υσόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ύσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ύσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "υσέω-υσέεις-υσέει"
  }, {
    "tense": "act.fut.opt",
    "key": "υσέοιμι-υσέοις-υσέοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "υσέομαι-υσέῃ-υσέεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "υσεοίμην-υσέοιο-υσέοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "υσέων-υσέουσα-υσέον"
  }, {
    "tense": "mid.fut.part",
    "key": "υσεόμενος-υσεομένη-υσεόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "υσέειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "υσέεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "υσῶ-υσεῖς-υσεῖ"
  }, {
    "tense": "act.fut.opt",
    "key": "υσοίην-υσοίης-υσοίη"
  }, {
    "tense": "mid.fut.ind",
    "key": "υσοῦμαι-υσῇ-υσεῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "υσοίμην-υσοῖο-υσοῖτο"
  }, {
    "tense": "act.fut.part",
    "key": "υσῶν-υσοῦσα-υσοῦν"
  }, {
    "tense": "mid.fut.part",
    "key": "υσούμενος-υσουμένη-υσούμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "υσεῖν"
  }, {
    "tense": "mid.fut.inf",
    "key": "υσεῖσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ύσω-ύσῃς-ύσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ύσαιμι-ύσειας-ύσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "υσον-υσάτω-ύσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ύσωμαι-ύσῃ-ύσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "υσαίμην-ύσαιο-ύσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "υσαι-υσάσθω-ύσασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ύσας-ύσασα-ῦσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "υσάμενος-υσαμένη-υσάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "ῦσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ύσασθαι"
  }],
  "λω": [{
    "tense": "act.pres.ind",
    "key": "λω-λεις-λει"
  }, {
    "tense": "act.pres.sub",
    "key": "λω-λῃς-λῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "λοιμι-λοις-λοι"
  }, {
    "tense": "act.pres.imp",
    "key": "λε-λέτω-λετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "λομαι-λῃ-λεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "λωμαι-λῃ-ληται"
  }, {
    "tense": "mid.pres.opt",
    "key": "λοίμην-λοιο-λοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "λου-λέσθω-λεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "λων-λουσα-λον"
  }, {
    "tense": "mid.pres.part",
    "key": "λόμενος-λομένη-λόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "λειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "λεσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "εσκον-εσκες-εσκε"
  }, {
    "tense": "mid.impf.ind",
    "key": "εσκόμην-έσκου-έσκετο"
  }, {
    "tense": "act.fut.ind",
    "key": "έω-έεις-έει"
  }, {
    "tense": "act.fut.opt",
    "key": "έοιμι-έοις-έοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έεαι-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "θήσομαι-θήσῃ-θήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "θησοίμην-θήσοιο-θήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "έων-έουσα-έον"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "θησόμενος-θησομένη-θησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "έειν"
  }, {
    "tense": "act.fut.inf",
    "key": "εέμεν"
  }, {
    "tense": "act.fut.inf",
    "key": "εέμεναι"
  }, {
    "tense": "act.fut.inf",
    "key": "έμεν"
  }, {
    "tense": "act.fut.inf",
    "key": "έμεναι"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "θήσεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "act.fut.ind",
    "key": "ῶ-εῖς-εῖ"
  }, {
    "tense": "act.fut.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "act.fut.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "pas.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ίω-ίεις-ίει"
  }, {
    "tense": "act.fut.opt",
    "key": "ίοιμι-ίοις-ίοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ίομαι-ίεαι-ίεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ιοίμην-ίοιο-ίοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ίων-ίουσα-ίον"
  }, {
    "tense": "mid.fut.part",
    "key": "ιόμενος-ιομένη-ιόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ίειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ίεσθαι"
  }, {
    "tense": "pas.aor.sub",
    "key": "θῶ-θῇς-θῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "θείην-θείης-θείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "θητι-θήτω-θητον"
  }, {
    "tense": "pas.aor.part",
    "key": "θείς-θεῖσα-θέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "θῆναι"
  }, {
    "tense": "pas.aor.inf",
    "key": "θήμεναι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "είην-είης-είη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ηθι-ήτω-ητον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "είς-εῖσα-έν"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ῆναι"
  }],
  "ζω": [{
    "tense": "act.pres.ind",
    "key": "ζω-ζεις-ζει"
  }, {
    "tense": "act.pres.sub",
    "key": "ζω-ζῃς-ζῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ζοιμι-ζοις-ζοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ζε-ζέτω-ζετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ζομαι-ζῃ-ζεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ζωμαι-ζῃ-ζηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ζοίμην-ζοιο-ζοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ζου-ζέσθω-ζεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ζων-ζουσα-ζον"
  }, {
    "tense": "mid.pres.part",
    "key": "ζόμενος-ζομένη-ζόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ζειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ζεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ξω-ξεις-ξει"
  }, {
    "tense": "act.fut.opt",
    "key": "ξοιμι-ξοις-ξοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "χθήσομαι-χθήσῃ-χθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "χθησοίμην-χθήσοιο-χθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ξων-ξουσα-ξον"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "χθησόμενος-χθησομένη-χθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ξειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "χθήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "σω-σεις-σει"
  }, {
    "tense": "act.fut.opt",
    "key": "σοιμι-σοις-σοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "σομαι-σῃ-σεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "σοίμην-σοιο-σοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "σθήσομαι-σθήσῃ-σθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "σθησοίμην-σθήσοιο-σθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "σων-σουσα-σον"
  }, {
    "tense": "mid.fut.part",
    "key": "σόμενος-σομένη-σόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "σθησόμενος-σθησομένη-σθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "σειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "σεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "σθήσεσθαι"
  }, {
    "tense": "pas.fut.ind",
    "key": "γήσομαι-γήσῃ-γήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "γησοίμην-γήσοιο-γήσοιτο"
  }, {
    "tense": "pas.fut.part",
    "key": "γησόμενος-γησομένη-γησόμενον"
  }, {
    "tense": "pas.fut.inf",
    "key": "γήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ξω-ξῃς-ξῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ξαιμι-ξειας-ξειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ξον-ξάτω-ξατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ξωμαι-ξῃ-ξηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ξαίμην-ξαιο-ξαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ξαι-ξάσθω-ξασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "χθῶ-χθῇς-χθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "χθείην-χθείης-χθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "χθητι-χθήτω-χθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ξας-ξασα-ξαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ξάμενος-ξαμένη-ξάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "χθείς-χθεῖσα-χθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ξαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ξασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "χθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "σω-σῃς-σῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "σαιμι-σειας-σειε"
  }, {
    "tense": "act.aor.imp",
    "key": "σον-σάτω-σατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "σωμαι-σῃ-σηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "σαίμην-σαιο-σαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "σαι-σάσθω-σασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "σθῶ-σθῇς-σθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "σθείην-σθείης-σθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "σθητι-σθήτω-σθητον"
  }, {
    "tense": "act.aor.part",
    "key": "σας-σασα-σαν"
  }, {
    "tense": "mid.aor.part",
    "key": "σάμενος-σαμένη-σάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "σθείς-σθεῖσα-σθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "σαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "σασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "σθῆναι"
  }, {
    "tense": "pas.aor.sub",
    "key": "γῶ-γῇς-γῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "γείην-γείης-γείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "γηθι-γήτω-γητον"
  }, {
    "tense": "pas.aor.part",
    "key": "γείς-γεῖσα-γέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "γῆναι"
  }],
  "άζω": [{
    "tense": "act.pres.ind",
    "key": "άζω-άζεις-άζει"
  }, {
    "tense": "act.pres.sub",
    "key": "άζω-άζῃς-άζῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "άζοιμι-άζοις-άζοι"
  }, {
    "tense": "act.pres.imp",
    "key": "αζε-αζέτω-άζετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "άζομαι-άζῃ-άζεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "άζωμαι-άζῃ-άζηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αζοίμην-άζοιο-άζοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άζου-αζέσθω-άζεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "άζων-άζουσα-άζον"
  }, {
    "tense": "mid.pres.part",
    "key": "αζόμενος-αζομένη-αζόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "άζειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "άζεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "άσω-άσεις-άσει"
  }, {
    "tense": "act.fut.opt",
    "key": "άσοιμι-άσοις-άσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "άσομαι-άσῃ-άσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ασοίμην-άσοιο-άσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "άσων-άσουσα-άσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ασόμενος-ασομένη-ασόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "άσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "άσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "έω-έεις-έει"
  }, {
    "tense": "act.fut.opt",
    "key": "έοιμι-έοις-έοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "έων-έουσα-έον"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "έειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ῶ-εῖς-εῖ"
  }, {
    "tense": "act.fut.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "act.fut.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "άσω-άσῃς-άσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "άσαιμι-άσειας-άσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ασον-ασάτω-άσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "άσωμαι-άσῃ-άσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ασαίμην-άσαιο-άσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ασαι-ασάσθω-άσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ασθῶ-ασθῇς-ασθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ασθείην-ασθείης-ασθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "άσθητι-ασθήτω-άσθητον"
  }, {
    "tense": "act.aor.part",
    "key": "άσας-άσασα-άσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ασάμενος-ασαμένη-ασάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ασθείς-ασθεῖσα-ασθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "άσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "άσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ασθῆναι"
  }],
  "τω": [{
    "tense": "act.pres.ind",
    "key": "τω-τεις-τει"
  }, {
    "tense": "act.pres.sub",
    "key": "τω-τῃς-τῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "τοιμι-τοις-τοι"
  }, {
    "tense": "act.pres.imp",
    "key": "τε-τέτω-τετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "τομαι-τῃ-τεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "τωμαι-τῃ-τηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "τοίμην-τοιο-τοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "του-τέσθω-τεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "των-τουσα-τον"
  }, {
    "tense": "mid.pres.part",
    "key": "τόμενος-τομένη-τόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "τειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "τεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "τήσω-τήσῃς-τήσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "τήσαιμι-τήσειας-τήσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "τησον-τησάτω-τήσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "τήσωμαι-τήσῃ-τήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "τησαίμην-τήσαιο-τήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "τησαι-τησάσθω-τήσασθον"
  }, {
    "tense": "act.aor.part",
    "key": "τήσας-τήσασα-τῆσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "τησάμενος-τησαμένη-τησάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "τῆσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "τήσασθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "τήσω-τήσεις-τήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "τήσοιμι-τήσοις-τήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "τήσομαι-τήσῃ-τήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "τησοίμην-τήσοιο-τήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "τηθήσομαι-τηθήσῃ-τηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "τηθησοίμην-τηθήσοιο-τηθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "τήσων-τήσουσα-τῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "τησόμενος-τησομένη-τησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "τηθησόμενος-τηθησομένη-τηθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "τήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "τήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "τηθήσεσθαι"
  }],
  "άνομαι": [{
    "tense": "mid.pres.ind",
    "key": "άνομαι-άνῃ-άνεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "άνωμαι-άνῃ-άνηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ανοίμην-άνοιο-άνοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άνου-ανέσθω-άνεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ανόμενος-ανομένη-ανόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "άνεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ηθήσομαι-ηθήσῃ-ηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ηθησοίμην-ηθήσοιο-ηθήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ηθησόμενος-ηθησομένη-ηθησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ηθήσεσθαι"
  }, {
    "tense": "pas.fut.ind",
    "key": "ανθήσομαι-ανθήσῃ-ανθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ανθησοίμην-ανθήσοιο-ανθήσοιτο"
  }, {
    "tense": "pas.fut.part",
    "key": "ανθησόμενος-ανθησομένη-ανθησόμενον"
  }, {
    "tense": "pas.fut.inf",
    "key": "ανθήσεσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ηθῶ-ηθῇς-ηθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ηθείην-ηθείης-ηθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ήθητι-ηθήτω-ήθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ηθείς-ηθεῖσα-ηθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ηθῆναι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }],
  "άομαι": [{
    "tense": "mid.pres.ind",
    "key": "άομαι-άῃ-άεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "άωμαι-άῃ-άηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αοίμην-άοιο-άοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άου-αέσθω-άεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "αόμενος-αομένη-αόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "άεσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "ῶμαι-ᾷ-ᾶται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ᾷ-ᾶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ῴμην-ῷο-ῷτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ῶ-άσθω-ᾶσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ώμενος-ωμένη-ώμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "ᾶσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "έωμαι-έῃ-έηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "έου-εέσθω-έεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "έεσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "οῦμαι-εῖ-εῖται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οῦ-είσθω-εῖσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ῆσαι-ησάσθω-ήσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ηθῶ-ηθῇς-ηθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ηθείην-ηθείης-ηθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ήθητι-ηθήτω-ήθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ηθείς-ηθεῖσα-ηθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ηθῆναι"
  }],
  "ῶ": [{
    "tense": "act.pres.ind",
    "key": "ῶ-ᾷς-ᾷ"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ᾷς-ᾷ"
  }, {
    "tense": "act.pres.opt",
    "key": "ῴην-ῴης-ῴη"
  }, {
    "tense": "act.pres.imp",
    "key": "α-άτω-ᾶτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ῶμαι-ᾷ-ᾶται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ᾷ-ᾶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ῴμην-ῷο-ῷτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ῶ-άσθω-ᾶσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ῶν-ῶσα-ῶν"
  }, {
    "tense": "mid.pres.part",
    "key": "ώμενος-ωμένη-ώμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ᾶν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ᾶσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "άω-άεις-άει"
  }, {
    "tense": "act.pres.sub",
    "key": "άω-άῃς-άῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "άοιμι-άοις-άοι"
  }, {
    "tense": "act.pres.imp",
    "key": "αε-αέτω-άετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "άομαι-άει-άεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "άωμαι-άῃ-άηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αοίμην-άοιο-άοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άου-αέσθω-άεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "άων-άουσα-αον"
  }, {
    "tense": "mid.pres.part",
    "key": "αόμενος-αομένη-αόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "άειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "άεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "άσω-άσεις-άσει"
  }, {
    "tense": "act.fut.opt",
    "key": "άσοιμι-άσοις-άσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "άσομαι-άσει-άσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ασοίμην-άσοιο-άσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ασθήσομαι-ασθήσει-ασθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ασθησοίμην-ασθήσοιο-ασθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "άσων-άσουσα-ασον"
  }, {
    "tense": "mid.fut.part",
    "key": "ασόμενος-ασομένη-ασόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ασθησόμενος-ασθησομένη-ασθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "άσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "άσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ασθήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "άσω-άσῃς-άσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "άσαιμι-άσαις-άσαι"
  }, {
    "tense": "act.aor.imp",
    "key": "ασον-ασάτω-άσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "άσωμαι-άσῃ-άσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ασαίμην-άσαιο-άσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ασαι-ασάσθω-άσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ασθῶ-ασθῇς-ασθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ασθείην-ασθείης-ασθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "άσθηθι-ασθήτω-άσθητον"
  }, {
    "tense": "act.aor.part",
    "key": "άσας-άσασα-ασαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ασάμενος-ασαμένη-ασάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ασθείς-ασθεῖσα-ασθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ασαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "άσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ασθῆναι"
  }],
  "άνω": [{
    "tense": "act.pres.ind",
    "key": "άνω-άνεις-άνει"
  }, {
    "tense": "act.pres.sub",
    "key": "άνω-άνῃς-άνῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "άνοιμι-άνοις-άνοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ανε-ανέτω-άνετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "άνομαι-άνῃ-άνεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "άνωμαι-άνῃ-άνηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ανοίμην-άνοιο-άνοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άνου-ανέσθω-άνεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "άνων-άνουσα-άνον"
  }, {
    "tense": "mid.pres.part",
    "key": "ανόμενος-ανομένη-ανόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "άνειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "άνεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ήσω-ήσεις-ήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ήσοιμι-ήσοις-ήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ηθήσομαι-ηθήσῃ-ηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ηθησοίμην-ηθήσοιο-ηθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ήσων-ήσουσα-ῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ηθησόμενος-ηθησομένη-ηθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ηθήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ηθῶ-ηθῇς-ηθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ηθείην-ηθείης-ηθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ήθητι-ηθήτω-ήθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ηθείς-ηθεῖσα-ηθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ηθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "ήσω-ήσῃς-ήσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ήσαιμι-ήσειας-ήσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ησον-ησάτω-ήσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ήσας-ήσασα-ῆσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "ῆσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }],
  "αίνω": [{
    "tense": "act.pres.ind",
    "key": "αίνω-αίνεις-αίνει"
  }, {
    "tense": "act.pres.sub",
    "key": "αίνω-αίνῃς-αίνῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "αίνοιμι-αίνοις-αίνοι"
  }, {
    "tense": "act.pres.imp",
    "key": "αινε-αινέτω-αίνετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "αίνομαι-αίνῃ-αίνεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "αίνωμαι-αίνῃ-αίνηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αινοίμην-αίνοιο-αίνοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "αίνου-αινέσθω-αίνεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "αίνων-αίνουσα-αῖνον"
  }, {
    "tense": "mid.pres.part",
    "key": "αινόμενος-αινομένη-αινόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "αίνειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "αίνεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.aor.opt",
    "key": "αίην-αίης-αίη"
  }, {
    "tense": "act.aor.imp",
    "key": "ηθι-ήτω-ητον"
  }, {
    "tense": "act.aor.part",
    "key": "άς-ᾶσα-άν"
  }, {
    "tense": "act.aor.inf",
    "key": "ῆναι"
  }, {
    "tense": "pas.aor.sub",
    "key": "αθῶ-αθῇς-αθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "αθείην-αθείης-αθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "άθητι-αθήτω-άθητον"
  }, {
    "tense": "pas.aor.part",
    "key": "αθείς-αθεῖσα-αθέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "αθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "ήσω-ήσῃς-ήσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ήσαιμι-ήσειας-ήσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ησον-ησάτω-ήσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ήσας-ήσασα-ῆσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "ῆσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }, {
    "tense": "act.pf.ind",
    "key": "έβηκα-έβηκας-έβηκε"
  }, {
    "tense": "act.pf.sub",
    "key": "εβήκω-εβήκῃς-εβήκῃ"
  }, {
    "tense": "act.pf.opt",
    "key": "εβήκοιμι-εβήκοις-εβήκοι"
  }, {
    "tense": "act.pf.imp",
    "key": "έβηκε-εβηκέτω-εβήκετον"
  }, {
    "tense": "mid.pf.ind",
    "key": "έβαμαι-έβασαι-έβαται"
  }, {
    "tense": "mid.pf.imp",
    "key": "έβασο-εβάσθω-έβασθον"
  }, {
    "tense": "act.pf.part",
    "key": "εβηκώς-εβηκυῖα-εβηκός"
  }, {
    "tense": "mid.pf.part",
    "key": "εβαμένος-εβαμένη-εβαμένον"
  }, {
    "tense": "act.pf.inf",
    "key": "εβηκέναι"
  }, {
    "tense": "mid.pf.inf",
    "key": "εβάσθαι"
  }],
  "ημι": [{
    "tense": "act.pres.ind",
    "key": "ημι-ης-ησι"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.pres.opt",
    "key": "αίην-αίης-αίη"
  }, {
    "tense": "act.pres.imp",
    "key": "η-άτω-ατον"
  }, {
    "tense": "mid.pres.ind",
    "key": "αμαι-ασαι-αται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αίμην-αῖο-αῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ασο-άσθω-ασθον"
  }, {
    "tense": "act.pres.part",
    "key": "άς-ᾶσα-άν"
  }, {
    "tense": "mid.pres.part",
    "key": "άμενος-αμένη-άμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "άναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "ασθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "ην-ης-η"
  }, {
    "tense": "mid.impf.ind",
    "key": "άμην-ασο-ατο"
  }, {
    "tense": "act.impf.ind",
    "key": "ασκον-ασκες-ασκε"
  }, {
    "tense": "mid.impf.ind",
    "key": "ασκόμην-άσκου-άσκετο"
  }],
  "υμι": [{
    "tense": "act.pres.ind",
    "key": "υμι-υς-υσι"
  }, {
    "tense": "act.pres.sub",
    "key": "ύω-ύῃς-ύῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ύοιμι-ύοις-ύοι"
  }, {
    "tense": "act.pres.imp",
    "key": "υ-ύτω-υτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "υμαι-υσαι-υται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ύωμαι-ύῃ-ύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "υοίμην-ύοιο-ύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "υσο-ύσθω-υσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ύς-ῦσα-ύν"
  }, {
    "tense": "mid.pres.part",
    "key": "ύμενος-υμένη-ύμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ύναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "υσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ύω-ύεις-ύει"
  }, {
    "tense": "act.pres.imp",
    "key": "υε-υέτω-ύετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ύομαι-ύῃ-ύεται"
  }, {
    "tense": "mid.pres.imp",
    "key": "ύου-υέσθω-ύεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ύων-ύουσα-ύον"
  }, {
    "tense": "mid.pres.part",
    "key": "υόμενος-υομένη-υόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ύειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ύεσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "υν-υς-υ"
  }, {
    "tense": "mid.impf.ind",
    "key": "ύμην-υσο-υτο"
  }],
  "ίδωμι": [{
    "tense": "act.pres.ind",
    "key": "ίδωμι-ίδως-ίδωσι"
  }, {
    "tense": "act.pres.sub",
    "key": "ιδῶ-ιδῷς-ιδῷ"
  }, {
    "tense": "act.pres.opt",
    "key": "ιδοίην-ιδοίης-ιδοίη"
  }, {
    "tense": "act.pres.imp",
    "key": "ίδου-ιδότω-ίδοτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ίδομαι-ίδοσαι-ίδοται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ιδῶμαι-ιδῷ-ιδῶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ιδοίμην-ιδοῖο-ιδοῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ίδοσο-ιδόσθω-ίδοσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ιδούς-ιδοῦσα-ιδόν"
  }, {
    "tense": "mid.pres.part",
    "key": "ιδόμενος-ιδομένη-ιδόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ιδόναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "ίδοσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ώσω-ώσεις-ώσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ώσοιμι-ώσοις-ώσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ώσομαι-ώσῃ-ώσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ωσοίμην-ώσοιο-ώσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ώσων-ώσουσα-ῶσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ωσόμενος-ωσομένη-ωσόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ώσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ώσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ῶ-ῷς-ῷ"
  }, {
    "tense": "act.aor.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "act.aor.imp",
    "key": "ος-ότω-οτον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ῶμαι-ῷ-ῶται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ου-όσθω-οσθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "οθῶ-οθῇς-οθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "οθείην-οθείης-οθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "όθηθι-οθήτω-όθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ούς-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "οθείς-οθεῖσα-οθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "οῦναι"
  }, {
    "tense": "mid.aor.inf",
    "key": "όσθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "οθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "ώκω-ώκῃς-ώκῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ώκαιμι-ώκειας-ώκειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ωκον-ωκάτω-ώκατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ώκωμαι-ώκῃ-ώκηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ωκαίμην-ώκαιο-ώκαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ωκαι-ωκάσθω-ώκασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ώκας-ώκασα-ῶκαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ωκάμενος-ωκαμένη-ωκάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "ῶκαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ώκασθαι"
  }, {
    "tense": "act.pf.ind",
    "key": "έδωκα-έδωκας-έδωκε"
  }, {
    "tense": "act.pf.sub",
    "key": "εδώκω-εδώκῃς-εδώκῃ"
  }, {
    "tense": "act.pf.opt",
    "key": "εδώκοιμι-εδώκοις-εδώκοι"
  }, {
    "tense": "act.pf.imp",
    "key": "έδωκε-εδωκέτω-εδώκετον"
  }, {
    "tense": "mid.pf.ind",
    "key": "έδομαι-έδοσαι-έδοται"
  }, {
    "tense": "mid.pf.imp",
    "key": "έδοσο-εδόσθω-έδοσθον"
  }, {
    "tense": "act.pf.part",
    "key": "εδωκώς-εδωκυῖα-εδωκός"
  }, {
    "tense": "mid.pf.part",
    "key": "εδομένος-εδομένη-εδομένον"
  }, {
    "tense": "act.pf.inf",
    "key": "εδωκέναι"
  }, {
    "tense": "mid.pf.inf",
    "key": "εδόσθαι"
  }],
  "γα": [{
    "tense": "act.pf.ind",
    "key": "γα-γας-γε"
  }, {
    "tense": "act.pf.sub",
    "key": "γω-γῃς-γῃ"
  }, {
    "tense": "act.pf.opt",
    "key": "γοιμι-γοις-γοι"
  }, {
    "tense": "act.pf.imp",
    "key": "χθι-χθω-γετον"
  }, {
    "tense": "mid.pf.ind",
    "key": "γμαι-ξαι-κται"
  }, {
    "tense": "mid.pf.imp",
    "key": "ξο-χθω-χθον"
  }, {
    "tense": "act.pf.part",
    "key": "γων-γουσα-γον"
  }, {
    "tense": "mid.pf.part",
    "key": "γμένος-γμένη-γμένον"
  }, {
    "tense": "act.pf.inf",
    "key": "γέμεν"
  }, {
    "tense": "mid.pf.inf",
    "key": "χθαι"
  }, {
    "tense": "act.ppf.ind",
    "key": "γειν-γεις-γει"
  }, {
    "tense": "act.impf.ind",
    "key": "γον-γες-γε"
  }, {
    "tense": "act.fut.ind",
    "key": "ξω-ξεις-ξει"
  }, {
    "tense": "act.fut.opt",
    "key": "ξοιμι-ξοις-ξοι"
  }, {
    "tense": "act.fut.part",
    "key": "ξων-ξουσα-ξον"
  }, {
    "tense": "act.fut.inf",
    "key": "ξειν"
  }, {
    "tense": "act.fut.inf",
    "key": "ξέμεν"
  }, {
    "tense": "act.fut.inf",
    "key": "ξέμεναι"
  }, {
    "tense": "act.fut.inf",
    "key": "ξμέναι"
  }, {
    "tense": "act.aor.sub",
    "key": "ξω-ξῃς-ξῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ξαιμι-ξαις-ξειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ξον-ξάτω-ξατον"
  }, {
    "tense": "act.aor.part",
    "key": "ξας-ξασα-ξαν"
  }, {
    "tense": "act.aor.inf",
    "key": "ξαι"
  }, {
    "tense": "act.aor.inf",
    "key": "ξάμεναι"
  }],
  "βομαι": [{
    "tense": "mid.pres.ind",
    "key": "βομαι-βῃ-βεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "βωμαι-βῃ-βηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "βοίμην-βοιο-βοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "βου-βέσθω-βεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "βόμενος-βομένη-βόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "βεσθαι"
  }, {
    "tense": "mid.impf.ind",
    "key": "βόμην-βου-βετο"
  }, {
    "tense": "mid.fut.ind",
    "key": "ψομαι-ψῃ-ψεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ψοίμην-ψοιο-ψοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ψόμενος-ψομένη-ψόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ψεσθαι"
  }, {
    "tense": "pas.aor.sub",
    "key": "φθῶ-φθῇς-φθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "φθείην-φθείης-φθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "φθητι-φθήτω-φθητον"
  }, {
    "tense": "pas.aor.part",
    "key": "φθείς-φθεῖσα-φθέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "φθῆναι"
  }, {
    "tense": "mid.pf.ind",
    "key": "μμαι-ψαι-πται"
  }, {
    "tense": "mid.pf.imp",
    "key": "ψο-φθω-φθον"
  }, {
    "tense": "mid.pf.part",
    "key": "μμένος-μμένη-μμένον"
  }, {
    "tense": "mid.pf.inf",
    "key": "φθαι"
  }, {
    "tense": "mid.ppf.ind",
    "key": "μμην-ψο-πτο"
  }],
  "ωμι": [{
    "tense": "act.pres.ind",
    "key": "ωμι-ως-ωσι"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῷς-ῷ"
  }, {
    "tense": "act.pres.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "act.pres.imp",
    "key": "ου-ότω-οτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ομαι-οσαι-οται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῷ-ῶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οσο-όσθω-οσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ούς-οῦσα-όν"
  }, {
    "tense": "mid.pres.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "όναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "οσθαι"
  }],
  "είνω": [{
    "tense": "act.pres.ind",
    "key": "είνω-είνεις-είνει"
  }, {
    "tense": "act.pres.sub",
    "key": "είνω-είνῃς-είνῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "είνοιμι-είνοις-είνοι"
  }, {
    "tense": "act.pres.imp",
    "key": "εινε-εινέτω-είνετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "είνομαι-είνῃ-είνεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "είνωμαι-είνῃ-είνηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "εινοίμην-είνοιο-είνοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "είνου-εινέσθω-είνεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "είνων-είνουσα-εῖνον"
  }, {
    "tense": "mid.pres.part",
    "key": "εινόμενος-εινομένη-εινόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "είνειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "είνεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ενέω-ενέεις-ενέει"
  }, {
    "tense": "act.fut.opt",
    "key": "ενέοιμι-ενέοις-ενέοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ενέομαι-ενέῃ-ενέεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ενεοίμην-ενέοιο-ενέοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ενέων-ενέουσα-ενέον"
  }, {
    "tense": "mid.fut.part",
    "key": "ενεόμενος-ενεομένη-ενεόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ενέειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ενέεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ενῶ-ενεῖς-ενεῖ"
  }, {
    "tense": "act.fut.opt",
    "key": "ενοίην-ενοίης-ενοίη"
  }, {
    "tense": "mid.fut.ind",
    "key": "ενοῦμαι-ενῇ-ενεῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ενοίμην-ενοῖο-ενοῖτο"
  }, {
    "tense": "act.fut.part",
    "key": "ενῶν-ενοῦσα-ενοῦν"
  }, {
    "tense": "mid.fut.part",
    "key": "ενούμενος-ενουμένη-ενούμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ενεῖν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ενεῖσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "είνω-είνῃς-είνῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "είναιμι-είνειας-είνειε"
  }, {
    "tense": "act.aor.imp",
    "key": "εινον-εινάτω-είνατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "είνωμαι-είνῃ-είνηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ειναίμην-είναιο-είναιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ειναι-εινάσθω-είνασθον"
  }, {
    "tense": "act.aor.part",
    "key": "είνας-είνασα-εῖναν"
  }, {
    "tense": "mid.aor.part",
    "key": "εινάμενος-ειναμένη-εινάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖναι"
  }, {
    "tense": "mid.aor.inf",
    "key": "είνασθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "άνω-άνῃς-άνῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "άνοιμι-άνοις-άνοι"
  }, {
    "tense": "act.aor.imp",
    "key": "ανε-ανέτω-άνετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "άνωμαι-άνῃ-άνηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ανοίμην-άνοιο-άνοιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ανοῦ-ανέσθω-άνεσθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ανθῶ-ανθῇς-ανθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ανθείην-ανθείης-ανθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "άνθητι-ανθήτω-άνθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ανών-ανοῦσα-ανόν"
  }, {
    "tense": "mid.aor.part",
    "key": "ανόμενος-ανομένη-ανόμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ανθείς-ανθεῖσα-ανθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ανεῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ανέσθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ανθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.aor.opt",
    "key": "αίην-αίης-αίη"
  }, {
    "tense": "act.aor.imp",
    "key": "ηθι-ήτω-ητον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.aor.opt",
    "key": "αίμην-αῖο-αῖτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ω-άσθω-ασθον"
  }, {
    "tense": "act.aor.part",
    "key": "άς-ᾶσα-άν"
  }, {
    "tense": "mid.aor.part",
    "key": "άμενος-αμένη-άμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "άμεν"
  }, {
    "tense": "act.aor.inf",
    "key": "άμεναι"
  }, {
    "tense": "mid.aor.inf",
    "key": "άσθαι"
  }],
  "λυον": [{
    "tense": "act.impf.ind",
    "key": "λυον-λυε"
  }, {
    "tense": "mid.impf.ind",
    "key": "λύμην-λυτο-λυντο"
  }, {
    "tense": "act.aor.ind",
    "key": "εσα-εσας-εσε"
  }, {
    "tense": "mid.aor.ind",
    "key": "όμην-ου-ετο"
  }],
  "ίσκω": [{
    "tense": "act.pres.ind",
    "key": "ίσκω-ίσκεις-ίσκει"
  }, {
    "tense": "act.pres.sub",
    "key": "ίσκω-ίσκῃς-ίσκῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ίσκοιμι-ίσκοις-ίσκοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ισκε-ισκέτω-ίσκετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ίσκομαι-ίσκῃ-ίσκεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ίσκωμαι-ίσκῃ-ίσκηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ισκοίμην-ίσκοιο-ίσκοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ίσκου-ισκέσθω-ίσκεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ίσκων-ίσκουσα-ῖσκον"
  }, {
    "tense": "mid.pres.part",
    "key": "ισκόμενος-ισκομένη-ισκόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ίσκειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ίσκεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "act.pf.ind",
    "key": "α-ας-ε"
  }, {
    "tense": "act.pf.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.pf.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.pf.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "act.pf.part",
    "key": "ώς-υῖα-ός"
  }, {
    "tense": "act.pf.inf",
    "key": "έναι"
  }],
  "έομαι": [{
    "tense": "mid.pres.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "έωμαι-έῃ-έηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "έου-εέσθω-έεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "έεσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "οῦμαι-εῖ-εῖται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οῦ-είσθω-εῖσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "mid.impf.ind",
    "key": "εόμην-έου-έετο"
  }, {
    "tense": "mid.impf.ind",
    "key": "ούμην-οῦ-εῖτο"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ηθήσομαι-ηθήσῃ-ηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ηθησοίμην-ηθήσοιο-ηθήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ηθησόμενος-ηθησομένη-ηθησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ηθήσεσθαι"
  }, {
    "tense": "mid.aor.ind",
    "key": "ησάμην-ήσω-ήσατο"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "pas.aor.ind",
    "key": "ήθην-ήθης-ήθη"
  }, {
    "tense": "pas.aor.sub",
    "key": "ηθῶ-ηθῇς-ηθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ηθείην-ηθείης-ηθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ήθητι-ηθήτω-ήθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ηθείς-ηθεῖσα-ηθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ηθῆναι"
  }, {
    "tense": "mid.pf.ind",
    "key": "ημαι-ησαι-ηται"
  }, {
    "tense": "mid.pf.imp",
    "key": "ησο-ήσθω-ησθον"
  }, {
    "tense": "mid.pf.part",
    "key": "ημένος-ημένη-ημένον"
  }, {
    "tense": "mid.pf.inf",
    "key": "ῆσθαι"
  }],
  "μαι": [{
    "tense": "mid.pres.ind",
    "key": "μαι-σαι-ται"
  }, {
    "tense": "mid.pres.imp",
    "key": "σο-σθω"
  }, {
    "tense": "mid.pres.part",
    "key": "μενος-μένη-μενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "σθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "σομαι-σει-σεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "σοίμην-σοιο-σοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "σόμενος-σομένη-σόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "σεσθαι"
  }],
  "ζομαι": [{
    "tense": "mid.pres.ind",
    "key": "ζομαι-ζῃ-ζεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ζωμαι-ζῃ-ζηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ζοίμην-ζοιο-ζοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ζου-ζέσθω-ζεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ζόμενος-ζομένη-ζόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "ζεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "σθήσομαι-σθήσῃ-σθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "σθησοίμην-σθήσοιο-σθήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "σθησόμενος-σθησομένη-σθησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "σθήσεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "σωμαι-σῃ-σηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "σαίμην-σαιο-σαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "σαι-σάσθω-σασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "σθῶ-σθῇς-σθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "σθείην-σθείης-σθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "σθητι-σθήτω-σθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "σάμενος-σαμένη-σάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "σθείς-σθεῖσα-σθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "σασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "σθῆναι"
  }],
  "κνέομαι": [{
    "tense": "mid.pres.ind",
    "key": "κνέομαι-κνέῃ-κνέεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "κνέωμαι-κνέῃ-κνέηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "κνεοίμην-κνέοιο-κνέοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "κνέου-κνεέσθω-κνέεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "κνεόμενος-κνεομένη-κνεόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "κνέεσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "κνοῦμαι-κνεῖ-κνεῖται"
  }, {
    "tense": "mid.pres.sub",
    "key": "κνῶμαι-κνῇ-κνῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "κνοίμην-κνοῖο-κνοῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "κνοῦ-κνείσθω-κνεῖσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "κνούμενος-κνουμένη-κνούμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "κνεῖσθαι"
  }, {
    "tense": "mid.impf.ind",
    "key": "κνεόμην-κνέου-κνέετο"
  }, {
    "tense": "mid.impf.ind",
    "key": "κνούμην-κνοῦ-κνεῖτο"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "mid.aor.ind",
    "key": "κόμην-κου-κετο"
  }, {
    "tense": "mid.aor.sub",
    "key": "κωμαι-κῃ-κηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "κοίμην-κοιο-κοιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "κοῦ-κέσθω-κεσθον"
  }, {
    "tense": "mid.aor.part",
    "key": "κόμενος-κομένη-κόμενον"
  }, {
    "tense": "mid.aor.inf",
    "key": "κέσθαι"
  }, {
    "tense": "mid.pf.ind",
    "key": "γμαι-ξαι-κται"
  }, {
    "tense": "mid.pf.imp",
    "key": "ξο-χθω-χθον"
  }, {
    "tense": "mid.pf.part",
    "key": "γμένος-γμένη-γμένον"
  }, {
    "tense": "mid.pf.inf",
    "key": "χθαι"
  }],
  "α": [{
    "tense": "act.aor.ind",
    "key": "α-ας-ε"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "αιμι-ειας-ειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ον-άτω-ατον"
  }, {
    "tense": "act.aor.part",
    "key": "ας-ασα-αν"
  }, {
    "tense": "act.aor.inf",
    "key": "αι"
  }],
  "ιμι": [{
    "tense": "act.pres.opt",
    "key": "ιμι-ις-ι"
  }],
  "κω": [{
    "tense": "act.pres.ind",
    "key": "κω"
  }, {
    "tense": "act.pres.imp",
    "key": "κε-κέτω-κετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "κομαι"
  }, {
    "tense": "mid.pres.imp",
    "key": "κου-κέσθω-κεσθον"
  }],
  "φω": [{
    "tense": "act.pres.ind",
    "key": "φω-φεις-φει"
  }, {
    "tense": "act.pres.sub",
    "key": "φω-φῃς-φῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "φοιμι-φοις-φοι"
  }, {
    "tense": "act.pres.imp",
    "key": "φε-φέτω-φετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "φομαι-φῃ-φεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "φωμαι-φῃ-φηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "φοίμην-φοιο-φοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "φου-φέσθω-φεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "φων-φουσα-φον"
  }, {
    "tense": "mid.pres.part",
    "key": "φόμενος-φομένη-φόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "φειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "φεσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "πτω-πτεις-πτει"
  }, {
    "tense": "act.pres.sub",
    "key": "πτω-πτῃς-πτῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "πτοιμι-πτοις-πτοι"
  }, {
    "tense": "act.pres.imp",
    "key": "πτε-πτέτω-πτετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "πτομαι-πτῃ-πτεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "πτωμαι-πτῃ-πτηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "πτοίμην-πτοιο-πτοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "πτου-πτέσθω-πτεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "πτων-πτουσα-πτον"
  }, {
    "tense": "mid.pres.part",
    "key": "πτόμενος-πτομένη-πτόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "πτειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "πτεσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "φον-φες-φε"
  }, {
    "tense": "mid.impf.ind",
    "key": "φόμην-φου-φετο"
  }, {
    "tense": "act.fut.ind",
    "key": "ψω-ψεις-ψει"
  }, {
    "tense": "act.fut.opt",
    "key": "ψοιμι-ψοις-ψοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ψομαι-ψῃ-ψεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ψοίμην-ψοιο-ψοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ψων-ψουσα-ψον"
  }, {
    "tense": "mid.fut.part",
    "key": "ψόμενος-ψομένη-ψόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ψειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ψεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ψω-ψῃς-ψῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ψαιμι-ψειας-ψειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ψον-ψάτω-ψατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ψωμαι-ψῃ-ψηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ψαίμην-ψαιο-ψαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ψαι-ψάσθω-ψασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ψας-ψασα-ψαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ψάμενος-ψαμένη-ψάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "ψαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ψασθαι"
  }, {
    "tense": "act.aor.ind",
    "key": "ψα-ψας-ψε"
  }, {
    "tense": "mid.aor.ind",
    "key": "ψάμην-ψω-ψατο"
  }],
  "νω": [{
    "tense": "act.pres.ind",
    "key": "νω-νεις-νει"
  }, {
    "tense": "act.pres.sub",
    "key": "νω-νῃς-νῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "νοιμι-νοις-νοι"
  }, {
    "tense": "act.pres.imp",
    "key": "νε-νέτω-νετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "νομαι-νῃ-νεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "νωμαι-νῃ-νηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "νοίμην-νοιο-νοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "νου-νέσθω-νεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "νων-νουσα-νον"
  }, {
    "tense": "mid.pres.part",
    "key": "νόμενος-νομένη-νόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "νειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "νεσθαι"
  }, {
    "tense": "mid.pres.ind",
    "key": "ομαι-ῃ-εται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ου-έσθω-εσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "εσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "νεσκον-νεσκες-νεσκε"
  }, {
    "tense": "mid.impf.ind",
    "key": "νεσκόμην-νέσκου-νέσκετο"
  }, {
    "tense": "mid.fut.ind",
    "key": "ομαι-ῃ-εται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "εσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "act.aor.ind",
    "key": "ον-ες-ε"
  }, {
    "tense": "mid.aor.ind",
    "key": "όμην-ου-ετο"
  }],
  "αμαι": [{
    "tense": "mid.pres.ind",
    "key": "αμαι-ασαι-αται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ῇ-ῆται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αίμην-αῖο-αῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ασο-άσθω-ασθον"
  }, {
    "tense": "mid.pres.part",
    "key": "άμενος-αμένη-άμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "ασθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.ind",
    "key": "ηθήσομαι-ηθήσῃ-ηθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ηθησοίμην-ηθήσοιο-ηθήσοιτο"
  }, {
    "tense": "pas.fut.part",
    "key": "ηθησόμενος-ηθησομένη-ηθησόμενον"
  }, {
    "tense": "pas.fut.inf",
    "key": "ηθήσεσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ήσωμαι-ήσῃ-ήσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ησαίμην-ήσαιο-ήσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ησαι-ησάσθω-ήσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ασθῶ-ασθῇς-ασθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ασθείην-ασθείης-ασθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "άσθητι-ασθήτω-άσθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "ησάμενος-ησαμένη-ησάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ασθείς-ασθεῖσα-ασθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ήσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ασθῆναι"
  }],
  "ον": [{
    "tense": "act.aor.ind",
    "key": "ον-ες-ε"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "έ-έτω-ετον"
  }, {
    "tense": "mid.aor.ind",
    "key": "όμην-ου-ετο"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "οῦ-έσθω-εσθον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "mid.aor.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσθαι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "act.aor.ind",
    "key": "α-ας-ε"
  }, {
    "tense": "act.aor.opt",
    "key": "αιμι-ειας-ειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ον-άτω-ατον"
  }, {
    "tense": "mid.aor.ind",
    "key": "άμην-ω-ατο"
  }, {
    "tense": "mid.aor.opt",
    "key": "αίμην-αιο-αιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "αι-άσθω-ασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ας-ασα-αν"
  }, {
    "tense": "mid.aor.part",
    "key": "άμενος-αμένη-άμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "αι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ασθαι"
  }],
  "ι": [{
    "tense": "act.pres.inf",
    "key": "ι"
  }],
  "ειμι": [{
    "tense": "act.pres.ind",
    "key": "ειμι-εῖ-εστι"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.pres.opt",
    "key": "είην-είης-είη"
  }, {
    "tense": "act.pres.imp",
    "key": "ίσθι-έστω-έστον"
  }, {
    "tense": "act.pres.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "act.pres.inf",
    "key": "εῖναι"
  }],
  "ίημι": [{
    "tense": "act.pres.ind",
    "key": "ίημι-ίης-ίησι"
  }, {
    "tense": "act.pres.sub",
    "key": "ιῶ-ιῇς-ιῇ"
  }, {
    "tense": "act.pres.opt",
    "key": "ιείην-ιείης-ιείη"
  }, {
    "tense": "act.pres.imp",
    "key": "ίει-ιέτω-ίετον"
  }, {
    "tense": "act.pres.part",
    "key": "ιείς-ιεῖσα-ιέν"
  }, {
    "tense": "act.pres.inf",
    "key": "ιέναι"
  }, {
    "tense": "act.impf.ind",
    "key": "ίην-ίεις-ίει"
  }, {
    "tense": "act.fut.ind",
    "key": "ήσω-ήσεις-ήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ήσοιμι-ήσοις-ήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ήσων-ήσουσα-ῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "act.aor.ind",
    "key": "ῆκα-ῆκας-ῆκε"
  }, {
    "tense": "act.aor.ind",
    "key": "εῖτον-είτην-εῖμεν"
  }, {
    "tense": "act.aor.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.aor.opt",
    "key": "είην-είης-είη"
  }, {
    "tense": "act.aor.imp",
    "key": "ές-έτω-έτον"
  }, {
    "tense": "act.aor.part",
    "key": "είς-εῖσα-έν"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖναι"
  }],
  "πω": [{
    "tense": "act.pres.ind",
    "key": "πω-πεις-πει"
  }, {
    "tense": "act.pres.sub",
    "key": "πω-πῃς-πῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ποιμι-ποις-ποι"
  }, {
    "tense": "act.pres.imp",
    "key": "πε-πέτω-πετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "πομαι-πῃ-πεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "πωμαι-πῃ-πηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ποίμην-ποιο-ποιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "που-πέσθω-πεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "πων-πουσα-πον"
  }, {
    "tense": "mid.pres.part",
    "key": "πόμενος-πομένη-πόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "πειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "πεσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "πον-πες-πε"
  }, {
    "tense": "mid.impf.ind",
    "key": "πόμην-που-πετο"
  }, {
    "tense": "act.fut.ind",
    "key": "ψω-ψεις-ψει"
  }, {
    "tense": "act.fut.opt",
    "key": "ψοιμι-ψοις-ψοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ψομαι-ψῃ-ψεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ψοίμην-ψοιο-ψοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ψων-ψουσα-ψον"
  }, {
    "tense": "mid.fut.part",
    "key": "ψόμενος-ψομένη-ψόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ψειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ψεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ψω-ψῃς-ψῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ψαιμι-ψειας-ψειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ψον-ψάτω-ψατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ψωμαι-ψῃ-ψηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ψαίμην-ψαιο-ψαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ψαι-ψάσθω-ψασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "φθῶ-φθῇς-φθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "φθείην-φθείης-φθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "φθητι-φθήτω-φθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ψας-ψασα-ψαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ψάμενος-ψαμένη-ψάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "φθείς-φθεῖσα-φθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ψαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ψασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "φθῆναι"
  }],
  "ην": [{
    "tense": "act.aor.ind",
    "key": "ην-ης-η"
  }],
  "γνυμι": [{
    "tense": "act.pres.ind",
    "key": "γνυμι-γνυς-γνυσι"
  }, {
    "tense": "act.pres.sub",
    "key": "γνύω-γνύῃς-γνύῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "γνύοιμι-γνύοις-γνύοι"
  }, {
    "tense": "act.pres.imp",
    "key": "γνυ-γνύτω-γνυτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "γνυμαι-γνυσαι-γνυται"
  }, {
    "tense": "mid.pres.sub",
    "key": "γνύωμαι-γνύῃ-γνύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "γνυοίμην-γνύοιο-γνύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "γνυσο-γνύσθω-γνυσθον"
  }, {
    "tense": "act.pres.part",
    "key": "γνύς-γνῦσα-γνύν"
  }, {
    "tense": "mid.pres.part",
    "key": "γνύμενος-γνυμένη-γνύμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "γνύναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "γνυσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "γνύω-γνύεις-γνύει"
  }, {
    "tense": "act.pres.imp",
    "key": "γνυε-γνυέτω-γνύετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "γνύομαι-γνύῃ-γνύεται"
  }, {
    "tense": "mid.pres.imp",
    "key": "γνύου-γνυέσθω-γνύεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "γνύων-γνύουσα-γνῦον"
  }, {
    "tense": "mid.pres.part",
    "key": "γνυόμενος-γνυομένη-γνυόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "γνύειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "γνύεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ξω-ξεις-ξει"
  }, {
    "tense": "act.fut.opt",
    "key": "ξοιμι-ξοις-ξοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ξων-ξουσα-ξον"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ξειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ξω-ξῃς-ξῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ξαιμι-ξειας-ξειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ξον-ξάτω-ξατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ξωμαι-ξῃ-ξηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ξαίμην-ξαιο-ξαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ξαι-ξάσθω-ξασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "χθῶ-χθῇς-χθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "χθείην-χθείης-χθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "χθητι-χθήτω-χθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ξας-ξασα-ξαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ξάμενος-ξαμένη-ξάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "χθείς-χθεῖσα-χθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ξαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ξασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "χθῆναι"
  }],
  "ννυμι": [{
    "tense": "act.pres.ind",
    "key": "ννυμι-ννυς-ννυσι"
  }, {
    "tense": "act.pres.sub",
    "key": "ννύω-ννύῃς-ννύῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ννύοιμι-ννύοις-ννύοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ννυ-ννύτω-ννυτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ννυμαι-ννυσαι-ννυται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ννύωμαι-ννύῃ-ννύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ννυοίμην-ννύοιο-ννύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ννυσο-ννύσθω-ννυσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ννύς-ννῦσα-ννύν"
  }, {
    "tense": "mid.pres.part",
    "key": "ννύμενος-ννυμένη-ννύμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ννύναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "ννυσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "σω-σεις-σει"
  }, {
    "tense": "act.fut.opt",
    "key": "σοιμι-σοις-σοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "σομαι-σῃ-σεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "σοίμην-σοιο-σοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "σων-σουσα-σον"
  }, {
    "tense": "mid.fut.part",
    "key": "σόμενος-σομένη-σόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "σειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "σεσθαι"
  }, {
    "tense": "act.aor.opt",
    "key": "σαιμι-σειας-σειε"
  }, {
    "tense": "act.aor.imp",
    "key": "σον-σάτω-σατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "σωμαι-σῃ-σηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "σαίμην-σαιο-σαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "σαι-σάσθω-σασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "σθῶ-σθῇς-σθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "σθείην-σθείης-σθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "σθητι-σθήτω-σθητον"
  }, {
    "tense": "act.aor.part",
    "key": "σας-σασα-σαν"
  }, {
    "tense": "mid.aor.part",
    "key": "σάμενος-σαμένη-σάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "σθείς-σθεῖσα-σθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "σαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "σασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "σθῆναι"
  }],
  "ῶμαι": [{
    "tense": "mid.pres.ind",
    "key": "ῶμαι-ᾶαι-ᾶται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-ᾶαι-ᾶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ῴμην-ῷο-ῷτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ᾶο-άσθω-ᾶσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ώμενος-ωμένη-ώμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "ᾶσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ῶ-ᾷς-ᾷ"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ᾷς-ᾷ"
  }, {
    "tense": "act.pres.opt",
    "key": "ῷμι-ῷς-ῷ"
  }, {
    "tense": "act.pres.imp",
    "key": "α-άτω-ᾶτον"
  }, {
    "tense": "act.pres.part",
    "key": "ῶν-ῶσα-ῶν"
  }, {
    "tense": "act.pres.inf",
    "key": "ᾶν"
  }, {
    "tense": "mid.impf.ind",
    "key": "ώμην-ῶ-ᾶτο"
  }, {
    "tense": "mid.aor.sub",
    "key": "άσωμαι-άσηαι-άσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ασαίμην-άσαιο-άσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ασαι-ασάσθω-άσασθον"
  }, {
    "tense": "mid.aor.part",
    "key": "ασάμενος-ασαμένη-ασάμενον"
  }, {
    "tense": "mid.aor.inf",
    "key": "άσασθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "άσομαι-άσεαι-άσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ασοίμην-άσοιο-άσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ασόμενος-ασομένη-ασόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "άσεσθαι"
  }],
  "ημαι": [{
    "tense": "mid.pf.ind",
    "key": "ημαι-ησαι-ηται"
  }, {
    "tense": "mid.pf.sub",
    "key": "ῶμαι-ῃ-ῆται"
  }, {
    "tense": "mid.pf.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.pf.imp",
    "key": "ησο-ήσθω-ησθον"
  }, {
    "tense": "mid.pf.part",
    "key": "ημένος-ημένη-ημένον"
  }, {
    "tense": "mid.pf.inf",
    "key": "ῆσθαι"
  }, {
    "tense": "mid.ppf.ind",
    "key": "ήμην-ῆσο-ῆστο"
  }],
  "ίω": [{
    "tense": "act.pres.ind",
    "key": "ίω-ίεις-ίει"
  }, {
    "tense": "act.pres.sub",
    "key": "ίω-ίῃς-ίῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ίοιμι-ίοις-ίοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ῖε-ιέτω-ίετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ίομαι-ίῃ-ίεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ίωμαι-ίῃ-ίηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ιοίμην-ίοιο-ίοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ίου-ιέσθω-ίεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ίων-ίουσα-ῖον"
  }, {
    "tense": "mid.pres.part",
    "key": "ιόμενος-ιομένη-ιόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ίειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "ίεσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ω-εις-ει"
  }, {
    "tense": "act.pres.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.pres.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ομαι-εαι-εται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ωμαι-ηαι-ηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "εο-έσθω-εσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ων-ουσα-ον"
  }, {
    "tense": "mid.pres.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "εσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "ί̈ω-ί̈εις-ί̈ει"
  }, {
    "tense": "act.pres.sub",
    "key": "ί̈ω-ί̈ῃς-ί̈ῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "ί̈οιμι-ί̈οις-ϊοι"
  }, {
    "tense": "act.pres.imp",
    "key": "ϊε-ϊέτω-ί̈ετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "ί̈ομαι-ί̈εαι-ί̈εται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ί̈ωμαι-ί̈ηαι-ί̈ηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ϊοίμαν-ί̈οιο-ί̈οιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ί̈εο-ϊέσθω-ί̈εσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ί̈ων-ί̈οισα-ϊον"
  }, {
    "tense": "mid.pres.part",
    "key": "ϊόμενος-ϊομένα-ϊόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "ί̈ην"
  }, {
    "tense": "mid.pres.inf",
    "key": "ί̈εσθαι"
  }, {
    "tense": "act.impf.ind",
    "key": "ῖον-ῖες-ῖε"
  }, {
    "tense": "mid.impf.ind",
    "key": "ιόμην-ίου-ίετο"
  }, {
    "tense": "act.impf.ind",
    "key": "ίεσκον-ίεσκες-ίεσκε"
  }, {
    "tense": "mid.impf.ind",
    "key": "ιεσκόμην-ιέσκου-ιέσκετο"
  }, {
    "tense": "act.fut.ind",
    "key": "ύσω-ύσεις-ύσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ύσοιμι-ύσοις-ύσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ύσομαι-ύσῃ-ύσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "υσοίμην-ύσοιο-ύσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "υσθήσομαι-υσθήσῃ-υσθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "υσθησοίμην-υσθήσοιο-υσθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ύσων-ύσουσα-ῦσον"
  }, {
    "tense": "mid.fut.part",
    "key": "υσόμενος-υσομένη-υσόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "υσθησόμενος-υσθησομένη-υσθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ύσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ύσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "υσθήσεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "υσέομαι-υσέῃ-υσέεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "υσεοίμην-υσέοιο-υσέοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "υσεόμενος-υσεομένη-υσεόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "υσέεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "υσοῦμαι-υσῇ-υσεῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "υσοίμην-υσοῖο-υσοῖτο"
  }, {
    "tense": "mid.fut.part",
    "key": "υσούμενος-υσουμένη-υσούμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "υσεῖσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ιήσω-ιήσεις-ιήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ιήσοιμι-ιήσοις-ιήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ιήσομαι-ιήσῃ-ιήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ιησοίμην-ιήσοιο-ιήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ιήσων-ιήσουσα-ιῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ιησόμενος-ιησομένη-ιησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ιήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ιήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ήσω-ήσεις-ήσει"
  }, {
    "tense": "act.fut.opt",
    "key": "ήσοιμι-ήσοις-ήσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ήσων-ήσουσα-ῆσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ήσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ύσω-ύσῃς-ύσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ύσαιμι-ύσειας-ύσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ῦσον-υσάτω-ύσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ύσωμαι-ύσῃ-ύσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "υσαίμην-ύσαιο-ύσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ῦσαι-υσάσθω-ύσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "υσθῶ-υσθῇς-υσθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "υσθείην-υσθείης-υσθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ύσθητι-υσθήτω-ύσθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ύσας-ύσασα-ῦσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "υσάμενος-υσαμένη-υσάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "υσθείς-υσθεῖσα-υσθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ῦσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ύσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "υσθῆναι"
  }, {
    "tense": "act.aor.ind",
    "key": "ῦσα-ῦσας-ῦσε"
  }, {
    "tense": "act.aor.opt",
    "key": "ύσαιμι-ύσαις-ύσειε"
  }, {
    "tense": "mid.aor.ind",
    "key": "υσάμην-ύσω-ύσατο"
  }, {
    "tense": "mid.aor.sub",
    "key": "ύσωμαι-ύσηαι-ύσηται"
  }, {
    "tense": "act.aor.inf",
    "key": "υσάμεναι"
  }],
  "ῖμαι": [{
    "tense": "mid.pres.ind",
    "key": "ῖμαι-ῖσαι-ῖται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "ῖσο-ίσθω-ῖσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ίμενος-ιμένη-ίμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "ῖσθαι"
  }, {
    "tense": "mid.pres.inf",
    "key": "εσθαι"
  }, {
    "tense": "mid.impf.ind",
    "key": "ίμην-ῖσο-ῖτο"
  }, {
    "tense": "mid.impf.ind",
    "key": "σκόμην-σκου-σκετο"
  }, {
    "tense": "mid.fut.ind",
    "key": "ίσομαι-ίσῃ-ίσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ισοίμην-ίσοιο-ίσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ισόμενος-ισομένη-ισόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ίσεσθαι"
  }],
  "γω": [{
    "tense": "act.pres.ind",
    "key": "γω-γεις-γει"
  }, {
    "tense": "act.pres.sub",
    "key": "γω-γῃς-γῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "γοιμι-γοις-γοι"
  }, {
    "tense": "act.pres.imp",
    "key": "γε-γέτω-γετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "γομαι-γῃ-γεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "γωμαι-γῃ-γηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "γοίμην-γοιο-γοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "γου-γέσθω-γεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "γων-γουσα-γον"
  }, {
    "tense": "mid.pres.part",
    "key": "γόμενος-γομένη-γόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "γειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "γεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ξω-ξεις-ξει"
  }, {
    "tense": "act.fut.opt",
    "key": "ξοιμι-ξοις-ξοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ξων-ξουσα-ξον"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ξειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ξω-ξῃς-ξῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ξαιμι-ξειας-ξειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ξον-ξάτω-ξατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ξωμαι-ξῃ-ξηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ξαίμην-ξαιο-ξαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ξαι-ξάσθω-ξασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "χθῶ-χθῇς-χθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "χθείην-χθείης-χθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "χθητι-χθήτω-χθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ξας-ξασα-ξαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ξάμενος-ξαμένη-ξάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "χθείς-χθεῖσα-χθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ξαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ξασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "χθῆναι"
  }, {
    "tense": "pas.aor.sub",
    "key": "γῶ-γῇς-γῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "γείην-γείης-γείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "γηθι-γήτω-γητον"
  }, {
    "tense": "pas.aor.part",
    "key": "γείς-γεῖσα-γέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "γῆναι"
  }, {
    "tense": "mid.pf.ind",
    "key": "λεγμαι-λεξαι-λεκται"
  }, {
    "tense": "mid.pf.imp",
    "key": "λεξο-λέχθω-λεχθον"
  }, {
    "tense": "mid.pf.part",
    "key": "λεγμένος-λεγμένη-λεγμένον"
  }, {
    "tense": "mid.pf.inf",
    "key": "λέχθαι"
  }],
  "νυμι": [{
    "tense": "act.pres.ind",
    "key": "νυμι-νυς-νυσι"
  }, {
    "tense": "act.pres.sub",
    "key": "νύω-νύῃς-νύῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "νύοιμι-νύοις-νύοι"
  }, {
    "tense": "act.pres.imp",
    "key": "νυ-νύτω-νυτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "νυμαι-νυσαι-νυται"
  }, {
    "tense": "mid.pres.sub",
    "key": "νύωμαι-νύῃ-νύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "νυοίμην-νύοιο-νύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "νυσο-νύσθω-νυσθον"
  }, {
    "tense": "act.pres.part",
    "key": "νύς-νῦσα-νύν"
  }, {
    "tense": "mid.pres.part",
    "key": "νύμενος-νυμένη-νύμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "νύναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "νυσθαι"
  }, {
    "tense": "pas.aor.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "είην-είης-είη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ηθι-ήτω-ητον"
  }, {
    "tense": "pas.aor.part",
    "key": "είς-εῖσα-έν"
  }, {
    "tense": "pas.aor.inf",
    "key": "ῆναι"
  }],
  "μην": [{
    "tense": "mid.pres.opt",
    "key": "μην-ο-το"
  }],
  "μι": [{
    "tense": "act.pres.ind",
    "key": "μι-ς-σι"
  }, {
    "tense": "act.pres.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "mid.pres.ind",
    "key": "μαι-σαι-ται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "act.pres.part",
    "key": "ς-σα-ν"
  }],
  "χομαι": [{
    "tense": "mid.pres.ind",
    "key": "χομαι-χει-χεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "χωμαι-χῃ-χηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "ρχοίμην-χοιο-χοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "χου-ρχέσθω-χεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ρχόμενος-ρχομένη-ρχόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "χεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "λθω-λθῃς-λθῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "λθοιμι-λθοις-λθοι"
  }, {
    "tense": "act.aor.imp",
    "key": "λθε-λθέτω-λθετον"
  }, {
    "tense": "mid.aor.sub",
    "key": "λθωμαι-λθῃ-λθηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "λθοίμην-λθοιο-λθοιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "λθοῦ-λθέσθω-λθεσθον"
  }, {
    "tense": "act.aor.part",
    "key": "λθών-λθοῦσα-λθόν"
  }, {
    "tense": "mid.aor.part",
    "key": "λθόμενος-λθομένη-λθόμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "λθεῖν"
  }, {
    "tense": "mid.aor.inf",
    "key": "λθέσθαι"
  }],
  "άννυμι": [{
    "tense": "act.pres.ind",
    "key": "άννυμι-άννυς-άννυσι"
  }, {
    "tense": "act.pres.sub",
    "key": "αννύω-αννύῃς-αννύῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "αννύοιμι-αννύοις-αννύοι"
  }, {
    "tense": "act.pres.imp",
    "key": "άννυ-αννύτω-άννυτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "άννυμαι-άννυσαι-άννυται"
  }, {
    "tense": "mid.pres.sub",
    "key": "αννύωμαι-αννύῃ-αννύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "αννυοίμην-αννύοιο-αννύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "άννυσο-αννύσθω-άννυσθον"
  }, {
    "tense": "act.pres.part",
    "key": "αννύς-αννῦσα-αννύν"
  }, {
    "tense": "mid.pres.part",
    "key": "αννύμενος-αννυμένη-αννύμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "αννύναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "άννυσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "άσω-άσεις-άσει"
  }, {
    "tense": "act.fut.opt",
    "key": "άσοιμι-άσοις-άσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "άσομαι-άσῃ-άσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ασοίμην-άσοιο-άσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ασθήσομαι-ασθήσῃ-ασθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ασθησοίμην-ασθήσοιο-ασθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "άσων-άσουσα-ᾶσον"
  }, {
    "tense": "mid.fut.part",
    "key": "ασόμενος-ασομένη-ασόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ασθησόμενος-ασθησομένη-ασθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "άσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "άσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ασθήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "έω-έεις-έει"
  }, {
    "tense": "act.fut.opt",
    "key": "έοιμι-έοις-έοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έομαι-έῃ-έεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εοίμην-έοιο-έοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "έων-έουσα-έον"
  }, {
    "tense": "mid.fut.part",
    "key": "εόμενος-εομένη-εόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "έειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "έεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ῶ-εῖς-εῖ"
  }, {
    "tense": "act.fut.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "mid.fut.ind",
    "key": "οῦμαι-ῇ-εῖται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "act.fut.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.fut.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "εῖν"
  }, {
    "tense": "mid.fut.inf",
    "key": "εῖσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "άσω-άσῃς-άσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "άσαιμι-άσειας-άσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ασον-ασάτω-άσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "άσωμαι-άσῃ-άσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ασαίμην-άσαιο-άσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ασαι-ασάσθω-άσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ασθῶ-ασθῇς-ασθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ασθείην-ασθείης-ασθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "άσθητι-ασθήτω-άσθητον"
  }, {
    "tense": "act.aor.part",
    "key": "άσας-άσασα-άσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ασάμενος-ασαμένη-ασάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ασθείς-ασθεῖσα-ασθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "άσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "άσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ασθῆναι"
  }],
  "σω": [{
    "tense": "act.pres.ind",
    "key": "σω-σεις-σει"
  }, {
    "tense": "act.pres.sub",
    "key": "σω-σῃς-σῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "σοιμι-σοις-σοι"
  }, {
    "tense": "act.pres.imp",
    "key": "σε-σέτω-σετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "σομαι-σῃ-σεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "σωμαι-σῃ-σηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "σοίμην-σοιο-σοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "σου-σέσθω-σεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "σων-σουσα-σον"
  }, {
    "tense": "mid.pres.part",
    "key": "σόμενος-σομένη-σόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "σειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "σεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ω-εις-ει"
  }, {
    "tense": "act.fut.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ομαι-ῃ-εται"
  }, {
    "tense": "mid.fut.opt",
    "key": "οίμην-οιο-οιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "θήσομαι-θήσῃ-θήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "θησοίμην-θήσοιο-θήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ων-ουσα-ον"
  }, {
    "tense": "mid.fut.part",
    "key": "όμενος-ομένη-όμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "θησόμενος-θησομένη-θησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "εσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "θήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "αιμι-ειας-ειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ον-άτω-ατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ωμαι-ῃ-ηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "αίμην-αιο-αιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "αι-άσθω-ασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "θῶ-θῇς-θῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "θείην-θείης-θείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "θητι-θήτω-θητον"
  }, {
    "tense": "act.aor.part",
    "key": "ας-ασα-αν"
  }, {
    "tense": "mid.aor.part",
    "key": "άμενος-αμένη-άμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "θείς-θεῖσα-θέν"
  }, {
    "tense": "act.aor.inf",
    "key": "αι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "θῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "σω-σῃς-σῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "σαιμι-σειας-σειε"
  }, {
    "tense": "act.aor.imp",
    "key": "σον-σάτω-σατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "σωμαι-σηαι-σηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "σαίμην-σαιο-σαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "σαι-σάσθω-σασθον"
  }, {
    "tense": "act.aor.part",
    "key": "σας-σασα-σαν"
  }, {
    "tense": "mid.aor.part",
    "key": "σάμενος-σαμένη-σάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "σαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "σασθαι"
  }, {
    "tense": "act.aor.ind",
    "key": "σα-σας-σε"
  }, {
    "tense": "act.aor.opt",
    "key": "σαιμι-σαις-σειε"
  }, {
    "tense": "mid.aor.ind",
    "key": "σάμην-σω-σατο"
  }, {
    "tense": "pas.aor.ind",
    "key": "θην-θης-θη"
  }, {
    "tense": "act.aor.inf",
    "key": "σάμεν"
  }, {
    "tense": "act.aor.inf",
    "key": "σάμεναι"
  }, {
    "tense": "pas.aor.inf",
    "key": "θήμεναι"
  }],
  "νυμαι": [{
    "tense": "mid.pres.ind",
    "key": "νυμαι-νυσαι-νυται"
  }, {
    "tense": "mid.pres.sub",
    "key": "νύωμαι-νύῃ-νύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "νυοίμην-νύοιο-νύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "νυσο-νύσθω-νυσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "νύμενος-νυμένη-νύμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "νυσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ω-ῃς-ῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "οιμι-οις-οι"
  }, {
    "tense": "act.aor.imp",
    "key": "ε-έτω-ετον"
  }, {
    "tense": "act.aor.part",
    "key": "ών-οῦσα-όν"
  }, {
    "tense": "act.aor.inf",
    "key": "εῖν"
  }],
  "σσω": [{
    "tense": "act.pres.ind",
    "key": "σσω-σσεις-σσει"
  }, {
    "tense": "act.pres.sub",
    "key": "σσω-σσῃς-σσῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "σσοιμι-σσοις-σσοι"
  }, {
    "tense": "act.pres.imp",
    "key": "σσε-σσέτω-σσετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "σσομαι-σσῃ-σσεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "σσωμαι-σσῃ-σσηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "σσοίμην-σσοιο-σσοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "σσου-σσέσθω-σσεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "σσων-σσουσα-σσον"
  }, {
    "tense": "mid.pres.part",
    "key": "σσόμενος-σσομένη-σσόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "σσειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "σσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ξω-ξεις-ξει"
  }, {
    "tense": "act.fut.opt",
    "key": "ξοιμι-ξοις-ξοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "χθήσομαι-χθήσῃ-χθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "χθησοίμην-χθήσοιο-χθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ξων-ξουσα-ξον"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "χθησόμενος-χθησομένη-χθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ξειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "χθήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ξω-ξῃς-ξῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ξαιμι-ξειας-ξειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ξον-ξάτω-ξατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ξωμαι-ξῃ-ξηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ξαίμην-ξαιο-ξαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ξαι-ξάσθω-ξασθον"
  }, {
    "tense": "act.aor.part",
    "key": "ξας-ξασα-ξαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ξάμενος-ξαμένη-ξάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "ξαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ξασθαι"
  }, {
    "tense": "pas.aor.sub",
    "key": "γῶ-γῇς-γῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "γείην-γείης-γείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "γηθι-γήτω-γητον"
  }, {
    "tense": "pas.aor.part",
    "key": "γείς-γεῖσα-γέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "γῆναι"
  }],
  "έννυμι": [{
    "tense": "act.pres.ind",
    "key": "έννυμι-έννυς-έννυσι"
  }, {
    "tense": "act.pres.sub",
    "key": "εννύω-εννύῃς-εννύῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "εννύοιμι-εννύοις-εννύοι"
  }, {
    "tense": "act.pres.imp",
    "key": "έννυ-εννύτω-έννυτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "έννυμαι-έννυσαι-έννυται"
  }, {
    "tense": "mid.pres.sub",
    "key": "εννύωμαι-εννύῃ-εννύηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "εννυοίμην-εννύοιο-εννύοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "έννυσο-εννύσθω-έννυσθον"
  }, {
    "tense": "act.pres.part",
    "key": "εννύς-εννῦσα-εννύν"
  }, {
    "tense": "mid.pres.part",
    "key": "εννύμενος-εννυμένη-εννύμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "εννύναι"
  }, {
    "tense": "mid.pres.inf",
    "key": "έννυσθαι"
  }, {
    "tense": "act.pres.ind",
    "key": "εννύω-εννύεις-εννύει"
  }, {
    "tense": "act.pres.imp",
    "key": "έννυε-εννυέτω-εννύετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "εννύομαι-εννύῃ-εννύεται"
  }, {
    "tense": "mid.pres.imp",
    "key": "εννύου-εννυέσθω-εννύεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "εννύων-εννύουσα-εννῦον"
  }, {
    "tense": "mid.pres.part",
    "key": "εννυόμενος-εννυομένη-εννυόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "εννύειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "εννύεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "έσω-έσεις-έσει"
  }, {
    "tense": "act.fut.opt",
    "key": "έσοιμι-έσοις-έσοι"
  }, {
    "tense": "act.fut.part",
    "key": "έσων-έσουσα-έσον"
  }, {
    "tense": "act.fut.inf",
    "key": "έσειν"
  }, {
    "tense": "mid.fut.ind",
    "key": "ήσομαι-ήσῃ-ήσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ησοίμην-ήσοιο-ήσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "εσθήσομαι-εσθήσῃ-εσθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "εσθησοίμην-εσθήσοιο-εσθήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ησόμενος-ησομένη-ησόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "εσθησόμενος-εσθησομένη-εσθησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ήσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "εσθήσεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "έσσω-έσσεις-έσσει"
  }, {
    "tense": "act.fut.opt",
    "key": "έσσοιμι-έσσοις-έσσοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "έσσομαι-έσσῃ-έσσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "εσσοίμην-έσσοιο-έσσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "έσσων-έσσουσα-έσσον"
  }, {
    "tense": "mid.fut.part",
    "key": "εσσόμενος-εσσομένη-εσσόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "έσσειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "έσσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "έσω-έσῃς-έσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "έσαιμι-έσειας-έσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "έσον-εσάτω-έσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "έσωμαι-έσῃ-έσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "εσαίμην-έσαιο-έσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "έσαι-εσάσθω-έσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "εσθῶ-εσθῇς-εσθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "εσθείην-εσθείης-εσθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "έσθητι-εσθήτω-έσθητον"
  }, {
    "tense": "act.aor.part",
    "key": "έσας-έσασα-έσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "εσάμενος-εσαμένη-εσάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "εσθείς-εσθεῖσα-εσθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "έσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "εσθῆναι"
  }, {
    "tense": "act.aor.sub",
    "key": "έσσω-έσσῃς-έσσῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "έσσαιμι-έσσειας-έσσειε"
  }, {
    "tense": "act.aor.imp",
    "key": "έσσον-εσσάτω-έσσατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "έσσωμαι-έσσῃ-έσσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "εσσαίμην-έσσαιο-έσσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "έσσαι-εσσάσθω-έσσασθον"
  }, {
    "tense": "act.aor.part",
    "key": "έσσας-έσσασα-έσσαν"
  }, {
    "tense": "mid.aor.part",
    "key": "εσσάμενος-εσσαμένη-εσσάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "έσσαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "έσσασθαι"
  }, {
    "tense": "pas.aor.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "είην-είης-είη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ῆθι-ήτω-ῆτον"
  }, {
    "tense": "pas.aor.part",
    "key": "είς-εῖσα-έν"
  }, {
    "tense": "pas.aor.inf",
    "key": "ῆναι"
  }],
  "πτομαι": [{
    "tense": "mid.pres.ind",
    "key": "πτομαι-πτῃ-πτεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "πτωμαι-πτῃ-πτηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "πτοίμην-πτοιο-πτοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "πτου-πτέσθω-πτεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "πτόμενος-πτομένη-πτόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "πτεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ψομαι-ψῃ-ψεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ψοίμην-ψοιο-ψοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "πήσομαι-πήσῃ-πήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "πησοίμην-πήσοιο-πήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ψόμενος-ψομένη-ψόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "πησόμενος-πησομένη-πησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ψεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "πήσεσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ψωμαι-ψῃ-ψηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ψαίμην-ψαιο-ψαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ψαι-ψάσθω-ψασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "φθῶ-φθῇς-φθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "φθείην-φθείης-φθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "φθητι-φθήτω-φθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "ψάμενος-ψαμένη-ψάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "φθείς-φθεῖσα-φθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ψασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "φθῆναι"
  }, {
    "tense": "pas.aor.sub",
    "key": "πῶ-πῇς-πῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "πείην-πείης-πείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "πηθι-πήτω-πητον"
  }, {
    "tense": "pas.aor.part",
    "key": "πείς-πεῖσα-πέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "πῆναι"
  }, {
    "tense": "mid.pf.ind",
    "key": "μμαι-ψαι-πται"
  }, {
    "tense": "mid.pf.imp",
    "key": "ψο-φθω-φθον"
  }, {
    "tense": "mid.pf.part",
    "key": "μμένος-μμένη-μμένον"
  }, {
    "tense": "mid.pf.inf",
    "key": "φθαι"
  }],
  "δω": [{
    "tense": "act.pres.ind",
    "key": "δω-δεις-δει"
  }, {
    "tense": "act.pres.sub",
    "key": "δω-δῃς-δῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "δοιμι-δοις-δοι"
  }, {
    "tense": "act.pres.imp",
    "key": "δε-δέτω-δετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "δομαι-δῃ-δεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "δωμαι-δῃ-δηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "δοίμην-δοιο-δοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "δου-δέσθω-δεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "δων-δουσα-δον"
  }, {
    "tense": "mid.pres.part",
    "key": "δόμενος-δομένη-δόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "δειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "δεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "σω-σεις-σει"
  }, {
    "tense": "act.fut.opt",
    "key": "σοιμι-σοις-σοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "σομαι-σῃ-σεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "σοίμην-σοιο-σοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "σων-σουσα-σον"
  }, {
    "tense": "mid.fut.part",
    "key": "σόμενος-σομένη-σόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "σειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "σεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "σίω-σίεις-σίει"
  }, {
    "tense": "act.fut.opt",
    "key": "σίοιμι-σίοις-σίοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "σίομαι-σίῃ-σίεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "σιοίμην-σίοιο-σίοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "σίων-σίουσα-σῖον"
  }, {
    "tense": "mid.fut.part",
    "key": "σιόμενος-σιομένη-σιόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "σίειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "σίεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "σω-σῃς-σῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "σαιμι-σειας-σειε"
  }, {
    "tense": "act.aor.imp",
    "key": "σον-σάτω-σατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "σωμαι-σῃ-σηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "σαίμην-σαιο-σαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "σαι-σάσθω-σασθον"
  }, {
    "tense": "act.aor.part",
    "key": "σας-σασα-σαν"
  }, {
    "tense": "mid.aor.part",
    "key": "σάμενος-σαμένη-σάμενον"
  }, {
    "tense": "act.aor.inf",
    "key": "σαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "σασθαι"
  }, {
    "tense": "act.aor.ind",
    "key": "σα-σας-σε"
  }, {
    "tense": "mid.aor.ind",
    "key": "σάμην-σω-σατο"
  }],
  "όω": [{
    "tense": "act.pres.ind",
    "key": "όω-οῖς-οῖ"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-οῖς-οῖ"
  }, {
    "tense": "act.pres.opt",
    "key": "οίην-οίης-οίη"
  }, {
    "tense": "act.pres.imp",
    "key": "ου-ούτω-οῦτον"
  }, {
    "tense": "mid.pres.ind",
    "key": "οῦμαι-οῖ-οῦται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-οῖ-ῶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οῦ-ούσθω-οῦσθον"
  }, {
    "tense": "act.pres.part",
    "key": "ῶν-οῦσα-οῦν"
  }, {
    "tense": "mid.pres.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "οῦν"
  }, {
    "tense": "mid.pres.inf",
    "key": "οῦσθαι"
  }],
  "οῦμαι": [{
    "tense": "mid.pres.ind",
    "key": "οῦμαι-οῖ-οῦται"
  }, {
    "tense": "mid.pres.sub",
    "key": "ῶμαι-οῖ-ῶται"
  }, {
    "tense": "mid.pres.opt",
    "key": "οίμην-οῖο-οῖτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "οῦ-ούσθω-οῦσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "ούμενος-ουμένη-ούμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "οῦσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ώσομαι-ώσῃ-ώσεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ωσοίμην-ώσοιο-ώσοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "ωθήσομαι-ωθήσῃ-ωθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "ωθησοίμην-ωθήσοιο-ωθήσοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ωσόμενος-ωσομένη-ωσόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "ωθησόμενος-ωθησομένη-ωθησόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ώσεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "ωθήσεσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ώσωμαι-ώσῃ-ώσηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ωσαίμην-ώσαιο-ώσαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ωσαι-ωσάσθω-ώσασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "ωθῶ-ωθῇς-ωθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "ωθείην-ωθείης-ωθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "ώθητι-ωθήτω-ώθητον"
  }, {
    "tense": "mid.aor.part",
    "key": "ωσάμενος-ωσαμένη-ωσάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "ωθείς-ωθεῖσα-ωθέν"
  }, {
    "tense": "mid.aor.inf",
    "key": "ώσασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "ωθῆναι"
  }],
  "ημί": [{
    "tense": "act.pres.ind",
    "key": "ημί-ῄς-ησί"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῇς-ῇ"
  }, {
    "tense": "act.pres.ind",
    "key": "ημί-ῇσθα-ησί"
  }, {
    "tense": "act.pres.sub",
    "key": "ῶ-ῇς-ήῃ"
  }],
  "γομαι": [{
    "tense": "mid.pres.ind",
    "key": "γομαι-γῃ-γεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "γωμαι-γῃ-γηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "γοίμην-γοιο-γοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "γου-γέσθω-γεσθον"
  }, {
    "tense": "mid.pres.part",
    "key": "γόμενος-γομένη-γόμενον"
  }, {
    "tense": "mid.pres.inf",
    "key": "γεσθαι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "mid.aor.sub",
    "key": "ξωμαι-ξῃ-ξηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ξαίμην-ξαιο-ξαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ξαι-ξάσθω-ξασθον"
  }, {
    "tense": "mid.aor.part",
    "key": "ξάμενος-ξαμένη-ξάμενον"
  }, {
    "tense": "mid.aor.inf",
    "key": "ξασθαι"
  }],
  "χω": [{
    "tense": "act.pres.ind",
    "key": "χω-χεις-χει"
  }, {
    "tense": "act.pres.sub",
    "key": "χω-χῃς-χῃ"
  }, {
    "tense": "act.pres.opt",
    "key": "χοιμι-χοις-χοι"
  }, {
    "tense": "act.pres.imp",
    "key": "χε-χέτω-χετον"
  }, {
    "tense": "mid.pres.ind",
    "key": "χομαι-χῃ-χεται"
  }, {
    "tense": "mid.pres.sub",
    "key": "χωμαι-χῃ-χηται"
  }, {
    "tense": "mid.pres.opt",
    "key": "χοίμην-χοιο-χοιτο"
  }, {
    "tense": "mid.pres.imp",
    "key": "χου-χέσθω-χεσθον"
  }, {
    "tense": "act.pres.part",
    "key": "χων-χουσα-χον"
  }, {
    "tense": "mid.pres.part",
    "key": "χόμενος-χομένη-χόμενον"
  }, {
    "tense": "act.pres.inf",
    "key": "χειν"
  }, {
    "tense": "mid.pres.inf",
    "key": "χεσθαι"
  }, {
    "tense": "act.fut.ind",
    "key": "ξω-ξεις-ξει"
  }, {
    "tense": "act.fut.opt",
    "key": "ξοιμι-ξοις-ξοι"
  }, {
    "tense": "mid.fut.ind",
    "key": "ξομαι-ξῃ-ξεται"
  }, {
    "tense": "mid.fut.opt",
    "key": "ξοίμην-ξοιο-ξοιτο"
  }, {
    "tense": "pas.fut.ind",
    "key": "χθήσομαι-χθήσῃ-χθήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "χθησοίμην-χθήσοιο-χθήσοιτο"
  }, {
    "tense": "act.fut.part",
    "key": "ξων-ξουσα-ξον"
  }, {
    "tense": "mid.fut.part",
    "key": "ξόμενος-ξομένη-ξόμενον"
  }, {
    "tense": "pas.fut.part",
    "key": "χθησόμενος-χθησομένη-χθησόμενον"
  }, {
    "tense": "act.fut.inf",
    "key": "ξειν"
  }, {
    "tense": "mid.fut.inf",
    "key": "ξεσθαι"
  }, {
    "tense": "pas.fut.inf",
    "key": "χθήσεσθαι"
  }, {
    "tense": "pas.fut.ind",
    "key": "γήσομαι-γήσῃ-γήσεται"
  }, {
    "tense": "pas.fut.opt",
    "key": "γησοίμην-γήσοιο-γήσοιτο"
  }, {
    "tense": "pas.fut.part",
    "key": "γησόμενος-γησομένη-γησόμενον"
  }, {
    "tense": "pas.fut.inf",
    "key": "γήσεσθαι"
  }, {
    "tense": "act.aor.sub",
    "key": "ξω-ξῃς-ξῃ"
  }, {
    "tense": "act.aor.opt",
    "key": "ξαιμι-ξειας-ξειε"
  }, {
    "tense": "act.aor.imp",
    "key": "ξον-ξάτω-ξατον"
  }, {
    "tense": "mid.aor.sub",
    "key": "ξωμαι-ξῃ-ξηται"
  }, {
    "tense": "mid.aor.opt",
    "key": "ξαίμην-ξαιο-ξαιτο"
  }, {
    "tense": "mid.aor.imp",
    "key": "ξαι-ξάσθω-ξασθον"
  }, {
    "tense": "pas.aor.sub",
    "key": "χθῶ-χθῇς-χθῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "χθείην-χθείης-χθείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "χθητι-χθήτω-χθητον"
  }, {
    "tense": "act.aor.part",
    "key": "ξας-ξασα-ξαν"
  }, {
    "tense": "mid.aor.part",
    "key": "ξάμενος-ξαμένη-ξάμενον"
  }, {
    "tense": "pas.aor.part",
    "key": "χθείς-χθεῖσα-χθέν"
  }, {
    "tense": "act.aor.inf",
    "key": "ξαι"
  }, {
    "tense": "mid.aor.inf",
    "key": "ξασθαι"
  }, {
    "tense": "pas.aor.inf",
    "key": "χθῆναι"
  }, {
    "tense": "pas.aor.sub",
    "key": "χῶ-χῇς-χῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "χείην-χείης-χείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "χηθι-χήτω-χητον"
  }, {
    "tense": "pas.aor.part",
    "key": "χείς-χεῖσα-χέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "χῆναι"
  }, {
    "tense": "pas.aor.sub",
    "key": "γῶ-γῇς-γῇ"
  }, {
    "tense": "pas.aor.opt",
    "key": "γείην-γείης-γείη"
  }, {
    "tense": "pas.aor.imp",
    "key": "γηθι-γήτω-γητον"
  }, {
    "tense": "pas.aor.part",
    "key": "γείς-γεῖσα-γέν"
  }, {
    "tense": "pas.aor.inf",
    "key": "γῆναι"
  }]
};
exports.verbkeys = verbkeys;
//# sourceMappingURL=verb-reg-keys.js.map